# WARNING: This package is synced with Fedora

%define lib64arches	x86_64 aarch64

%ifarch %lib64arches
    %define _lib lib64
%else
    %define _lib lib
%endif

%define _prefix /usr
%define _libdir %_prefix/%_lib
%define _bindir %_prefix/bin
%define _sysconfdir /etc
%define _datadir /usr/share
%define _defaultdocdir %_datadir/doc
%define _localstatedir /var
%define _infodir %_datadir/info

%if %{?mklibname:0}%{?!mklibname:1}
%define mklibname(ds)  %{_lib}%{1}%{?2:%{2}}%{?3:_%{3}}%{-s:-static}%{-d:-devel}
%endif

%if %{?distsuffix:0}%{?!distsuffix:1}
%define distsuffix .mga
%endif

%if %{?_real_vendor:0}%{?!_real_vendor:1}
%define _real_vendor mageia
%endif

%if %{?mkrel:0}%{?!mkrel:1}
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?distsuffix:%distsuffix}%{?!distsuffix:.mga}%{?mageia_release:%mageia_release}%{?subrel:.%subrel}
%endif

%if %{?pyver:0}%{?!pyver:1}
%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")
%endif

%define __find_requires %{rpmhome}/%{_real_vendor}/find-requires %{?buildroot:%{buildroot}} %{?_target_cpu:%{_target_cpu}}
%define __find_provides %{rpmhome}/%{_real_vendor}/find-provides

# run internal testsuite?
%bcond_with check
# build with plugins?
%bcond_without plugins
# build with libarchive? (needed for rpm2archive)
%bcond_without libarchive
# build with fsverity support?
%bcond_with fsverity
# build with ndb backend?
%bcond_without ndb
# build with sqlite support?
%bcond_without sqlite
# build with bdb_ro support?
%bcond_without bdb_ro
# build with sequoia crypto?
%bcond_without sequoia
%bcond_with debug

# Define directory which holds rpm config files, and some binaries actually
# NOTE: it remains */lib even on lib64 platforms as only one version
#       of rpm is supported anyway, per architecture
%define rpmhome /usr/lib/rpm

%global rpmver 4.20.0
#global snapver rc1
%global baserelease 1
%global sover 10

%global srcver %{rpmver}%{?snapver:-%{snapver}}
%global srcdir %{?snapver:testing}%{!?snapver:rpm-%(echo %{rpmver} | cut -d'.' -f1-2).x}
%global libmajor	%sover
%global librpmname      %mklibname rpm  %{libmajor}
%global librpmnamedevel %mklibname -d rpm
%global librpmsign      %mklibname rpmsign %{libmajor}
%global librpmbuild     %mklibname rpmbuild %{libmajor}

%global rpmsetup_version 2.72


Summary:	The RPM package management system
Name:		rpm
Epoch:		1
Version:	%{rpmver}
Release:	%mkrel %{?snapver:0.%{snapver}.}%{baserelease}
Group:		System/Packaging
Url:		https://rpm.org/
Source0:	http://ftp.rpm.org/releases/%{srcdir}/rpm-%{srcver}.tar.bz2
# extracted from https://pkgs.fedoraproject.org/cgit/redhat-rpm-config.git/plain/macros:
Source1:	macros.filter

Source10: rpmdb-rebuild.service

#
# Fedora patches
#

# Patches already upstream:
# ...

# Disable new user/group handling
Patch501: rpm-4.18.92-disable-sysusers.patch
Patch502: rpm-4.19.91-weak-user-group.patch

# Temporarily disable the deprecation warning for
# %%clamp_mtime_to_source_date_epoch, details here:
# https://src.fedoraproject.org/rpms/redhat-rpm-config/pull-request/298
Patch503: 0001-Revert-Add-a-deprecation-warning-for-clamp_mtime_to_.patch

# These are not yet upstream
Patch906: rpm-4.7.1-geode-i686.patch

#
# End of FC patches
# 

#
# Upstream patches not carried by FC:
#



#
# Mageia patches
#

# (tmb) stop trying to strip firmware files, they need to be intact.
Patch50:	rpm-4.19.91-dont-try-to-strip-firmware-files.patch

# In original rpm, -bb --short-circuit does not work and run all stage
# From popular request, we allow to do this
# http://qa.mandriva.com/show_bug.cgi?id=15896
Patch70:	rpm-4.18.0-bb-shortcircuit.patch

# don't conflict for doc files
# (to be able to install lib*-devel together with lib64*-devel even if they have conflicting manpages)
Patch83: rpm-4.12.0-no-doc-conflicts.patch

# Fix http://qa.mandriva.com/show_bug.cgi?id=19392
# (is this working??)
Patch84: rpm-4.15.0-rpmqv-ghost.patch

# without this patch, "#%%define foo bar" is surprisingly equivalent to "%%define foo bar"
# with this patch, "#%%define foo bar" is a fatal error
# Bug still valid => Send upstream for review.
Patch145: rpm-forbid-badly-commented-define-in-spec.patch

# (nb: see the patch for more info about this issue)
#Patch151: rpm-4.6.0-rc1-protect-against-non-robust-futex.patch

#
# Merge mageia's perl.prov improvements back into upstream:
#
# making sure automatic provides & requires for perl package are using the new
# macro %%perl_convert_version:
# (tv) FIXME: no more present, doble check that rpm-mageia-setup does it:
#Patch162: use_perl_convert_version.diff

#
# Merge mageia's find-requires.sh improvements back into upstream:
#
# (tv) output perl-base requires instead of /usr/bin/perl with internal generator:
# (ngompa) This patch can be dropped once we switch fully over to dnf
Patch170: script-perl-base.diff
# (tv) do not emit requires for /bin/sh (required by glibc) or interpreters for which
# we have custom
Patch172: script-filtering.diff
# (tv) "resolve" /bin/env foo interpreter to actual path, rather than generating
# dependencies on coreutils, should trim off ~800 dependencies more
Patch173: script-env.diff
# (tv) output pkgconfig requires instead of /usr/bin/pkgconfig with internal generator:
# (ngompa) This patch can be dropped once we switch fully over to dnf
Patch174: pkgconfig.diff
# (tv) no not emit "rtld(GNU_HASH)" requires as we've support for it since mga1:
# (saves ~5K packages' dependency in synthesis)
Patch175: no-rtld_GNU_HASH_req.diff
# (tv) replace file deps by requires on packages (when interp is installed):
# (ngompa) This patch can be dropped once we switch fully over to dnf
Patch176: script-no-file-deps.diff
# (tv) replace file deps by requires on packages (common cases for !BRed interp):
# (ngompa) This patch can be dropped once we switch fully over to dnf
Patch177: script-no-file-deps2.diff
# (pt) generate ELF provides for libraries, not only for executables
Patch180: elf_libs_req.diff 
# [Suse]add --assumeexec option for previous patch:
Patch181: assumeexec.diff 
# (Martin Whitaker) disable the systemd-inhibit plugin when systemd-logind is not running (mga#20016):
Patch182: systemd-inhibit-requires-logind.patch

# (tv) Commit 816c7cf3fdae5c45de02a42a2245549778e2ca80 defaults to ignoring autodeps from docfile,
# which break perl autodeps from *META*:
Patch200: dont-filter-autodeps-from-doc-by-default.patch

# (wally) Don't own /usr/share/man/$LANG/man[1-9]/ directories when '%%find_lang foo --with-man --all-name' is used
Patch201: 0001-find-lang.sh-don-t-own-directories-when-with-man-all.patch

# (wally) Fix build with gcc14
Patch202: 0001-Fix-build-with-gcc14.patch

# Various arch enabling:
Patch3003: rpm_arm_mips_isa_macros.patch

# Mageia patches that are easier to rediff on top of FC patches:
#---------------------------------------------------------------

# Partially GPL/LGPL dual-licensed and some bits with BSD
# SourceLicense: (GPLv2+ and LGPLv2+ with exceptions) and BSD 
License: GPLv2+

BuildRequires:	autoconf
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(liblzma) >= 5
BuildRequires:	libgomp-devel
BuildRequires:	automake
BuildRequires:	cmake >= 3.18
BuildRequires:	doxygen
BuildRequires:	elfutils-devel
BuildRequires:	ed
BuildRequires:	gettext-devel
%if %{with plugins}
BuildRequires:	pkgconfig(dbus-1)
%endif
BuildRequires:	audit-libs-devel
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(popt)
BuildRequires:	magic-devel
BuildRequires:	rpm-%{_real_vendor}-setup-build %{?rpmsetup_version:>= %{rpmsetup_version}}
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libselinux)
BuildRequires:	pkgconfig(lua) >= 5.4
BuildRequires:	pkgconfig(libcap)
BuildRequires:	libacl-devel
%if %{with libarchive}
BuildRequires:	pkgconfig(libarchive)
%endif
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libzstd)
%if %{with sqlite}
BuildRequires:	pkgconfig(sqlite3)
%endif

# Needed for re-building the documentation and man pages
# normally those are shipped in the tarball pre-build
# but need re-building if sources are patched
%if 0
BuildRequires: pandoc
BuildRequires: doxygen
%endif


%if %{with sequoia}
%global crypto sequoia
BuildRequires: rpm-sequoia-devel >= 1.4.0
%else
%global crypto openssl
BuildRequires:	pkgconfig(libssl)
%endif

# for testsuite:
BuildRequires: eatmydata

Requires:	mktemp
Requires:	setup >= 2.2.0-8
Requires:	rpm-%{_real_vendor}-setup >= 1.85
# versioned deps for upgrades (mga #24767)
Requires:	%{_lib}db5.3 >= 5.3.28-17
Requires:	update-alternatives
Requires:	%librpmname = %epoch:%version-%release
%define         git_url        http://rpm.org/git/rpm.git
Requires(pre):		rpm-helper
Requires(pre):		coreutils
Requires(postun):	rpm-helper

# Weakly depend on stuff that used to be in main rpm package
Recommends: rpm-plugin-syslog
Recommends: rpm-plugin-ima
Recommends: rpm-plugin-systemd-inhibit

# RPM used to require an %%install hack (shipped by redhat-rpm-config) in order
# to enable debuginfo.  Version 4.19.91 implements this functionality properly
# so this hack is no longer necessary and, in fact, is no longer supported.
# More details: https://github.com/rpm-software-management/rpm/issues/2204
# (tv) FIXME TODO:
Conflicts: redhat-rpm-config < 291-1

%if %{with fsverity}
#BuildRequires: fsverity-devel
%endif

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package -n %librpmname
Summary:  Libraries for manipulating RPM packages
Group:	  System/Libraries
License: GPLv2+ and LGPLv2+ with exceptions
Provides: librpm = %version-%release
Provides: rpm-libs = %{version}-%{release}
Provides: rpm-libs%{_isa} = %{version}-%{release}

%description -n %librpmname
This package contains the RPM shared libraries.

%package   -n %librpmbuild
Summary:   Libraries for building RPM packages
Group:     System/Libraries
License: GPLv2+ and LGPLv2+ with exceptions
Obsoletes: rpm-build-libs < %{version}-%{release}
Provides: rpm-build-libs%{_isa} = %{version}-%{release}

%description -n %librpmbuild
This package contains the RPM shared libraries for building packages.

%package  -n %librpmsign
Summary:  Libraries for signing RPM packages
Group:    System/Libraries
License: GPLv2+ and LGPLv2+ with exceptions
Requires: gnupg2

%description -n %librpmsign
This package contains the RPM shared libraries for signing packages.

%package -n %librpmnamedevel
Summary:	Development files for manipulating RPM packages
Group:		Development/C
License: GPLv2+ and LGPLv2+ with exceptions
Requires:	rpm = %epoch:%{version}-%{release}
Provides:	librpm-devel = %version-%release
Provides:   	rpm-devel = %version-%release
Requires:       %librpmname = %epoch:%version-%release
Requires:       %librpmbuild = %epoch:%version-%release
Requires:       %librpmsign = %epoch:%version-%release

%description -n %librpmnamedevel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary:	Scripts and executable programs used to build packages
Group:		System/Packaging
Requires:	autoconf
Requires:	automake
# /usr/lib/rpm/check-files: line 31: diff: command not found
Requires:	diffutils
Requires:	file
Requires:	gcc-c++
# We need cputoolize & amd64-* alias to x86_64-* in config.sub
Requires:	libtool-base
Requires:	patch
Requires:	make
Requires:	elfutils >= 0.167-2
Requires:	perl(CPAN::Meta) >= 2.112.150
Requires:	perl(ExtUtils::MakeMaker) >= 6.570_700
Requires:       perl(YAML::Tiny)
Requires:	rpm = %epoch:%{version}-%{release}
Requires:	%librpmbuild = %epoch:%version
Requires:	python3-rpm-generators
Requires:	gawk
Requires:	tar unzip gzip bzip2 cpio xz
Requires:	zstd
Requires:	debugedit >= 0.3
Recommends: gdb-minimal
# Technically rpmbuild doesn't require any external configuration, but
# creating distro-compatible packages does. To make the common case
# "just work" while allowing for alternatives, depend on a virtual
# provide, typically coming from redhat-rpm-config.
Requires:	rpm-%{_real_vendor}-setup-build %{?rpmsetup_version:>= %{rpmsetup_version}}

%description build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.

%package sign
Summary: Package signing support
Group:   System/Base

%description sign
This package contains support for digitally signing RPM packages.

%package -n python3-%{name}
Summary:	Python 3 bindings for apps which will manipulate RPM packages
Group:		Development/Python
Requires:	rpm = %epoch:%{version}-%{release}
Provides:	rpm-python = %epoch:%{version}-%{release}

%description -n python3-%{name}
The python3-rpm package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python 3
programs that will manipulate RPM packages and databases.

%package apidocs
Summary: API documentation for RPM libraries
Group:   Documentation
BuildArch: noarch

%description apidocs
This package contains API documentation for developing applications
that will manipulate RPM packages and databases.

%package cron
Summary: Create daily logs of installed packages
Group: System/Base
BuildArch: noarch
Requires: crontabs
Requires: logrotate
Requires: rpm = %{epoch}:%{version}-%{release}

%description cron
This package contains a cron job which creates daily logs of installed
packages on a system.

%if %{with plugins}
%package plugin-selinux
Summary: Rpm plugin for SELinux functionality
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}
Requires: selinux-policy-base

%description plugin-selinux
This plugin adds support for enforcing and verifying SELinux labels
in an rpm.

%package plugin-unshare
Summary: Rpm plugin for Linux namespace isolation functionality
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-unshare
%{summary}.

%package plugin-syslog
Summary: Rpm plugin for syslog functionality
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}

%description plugin-syslog
This plugin exports RPM actions to the system log.

%package plugin-systemd-inhibit
Summary: Rpm plugin for systemd inhibit functionality
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}

%description plugin-systemd-inhibit
This plugin blocks systemd from entering idle, sleep or shutdown while an rpm
transaction is running using the systemd-inhibit mechanism.

%package plugin-ima
Summary: Rpm plugin for IMA file signatures
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}

%description plugin-ima
This plugin adds support for enforcing and verifying IMA file signatures
in an rpm.

%package plugin-prioreset
Summary: Rpm plugin for resetting scriptlet priorities for SysV init
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}

%description plugin-prioreset
%{summary}.

Useful on legacy SysV init systems if you run rpm transactions with
nice/ionice priorities. Should not be used on systemd systems.

%package plugin-audit
Summary: Rpm plugin for logging audit events on package operations
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-audit
%{summary}.

%if %{with fsverity}
%package plugin-fsverity
Summary: Rpm plugin for fsverity file signatures
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-fsverity
%{summary}.
%endif

%package plugin-fapolicyd
Summary: Rpm plugin for fapolicyd support
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-fapolicyd
%{summary}.

See https://people.redhat.com/sgrubb/fapolicyd/ for information about
the fapolicyd daemon.

%package plugin-dbus-announce
Summary: Rpm plugin for announcing transactions on the DBUS
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-dbus-announce
The plugin announces basic information about rpm transactions to the
system DBUS - like packages installed or removed.  Other programs can
subscribe to the signals to get notified when packages on the system
change.

# with plugins
%endif

%prep
%autosetup -n rpm-%{srcver} -p1

# switch to sqlite db by default, including during build-time tests
%if %{with sqlite}
sed -i -e "/_db_backend/ s/ bdb/ sqlite/g" macros.in
%endif

%build
%define _disable_ld_no_undefined 1

%if %with debug
RPM_OPT_FLAGS=-g
%endif
%set_build_flags

mkdir _build
cd _build
cmake \
      -DCMAKE_INSTALL_PREFIX=%{_usr} \
      -DCMAKE_INSTALL_SHAREDSTATEDIR:PATH=%{_var}/lib \
      %{?with_bdb_ro:-DENABLE_BDB_RO=ON} \
      %{!?with_ndb:-DENABLE_NDB=OFF} \
      %{!?with_sqlite:-DENABLE_SQLITE=OFF} \
      %{!?with_plugins:-DENABLE_PLUGINS=OFF} \
      %{?with_fsverity:-DWITH_FSVERITY=ON} \
      %{?with_libimaevm:-DWITH_IMAEVM=ON} \
      %{!?with_libarchive:-DWITH_ARCHIVE=OFF} \
      %{!?with_check:-DENABLE_TESTSUITE=OFF} \
      %{!?with_sequoia:-DWITH_INTERNAL_OPENPGP=ON} \
      %{!?with_sequoia:-DWITH_OPENSSL=ON } \
      -DENABLE_CUTF8=OFF \
      -DRPM_VENDOR=%{_real_vendor} \
  ..

%make_build

%check
# We can't run the actual test-suite from %%check,
# at least check the Python module is importable:
LD_LIBRARY_PATH=%{buildroot}%{_libdir} %py3_check_import rpm rpm.transaction

%install
cd _build
%make_install
cd ..

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{_unitdir}

# Built-in replacement for systemd-sysusers(8)
install -m 755 scripts/sysusers.sh $RPM_BUILD_ROOT/%{rpmhome}

# Save list of packages through cron
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/rpm

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/rpm

test -d doc-copy || mkdir doc-copy
rm -rf doc-copy/*
ln -f docs/manual/* doc-copy/
rm -f doc-copy/Makefile*

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage

mkdir -p %buildroot%rpmhome/macros.d
install %SOURCE1 %buildroot%rpmhome/macros.d
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
mkdir -p %buildroot%_sysconfdir/rpm
cat > %buildroot%_sysconfdir/rpm/macros <<EOF
# Put your own system macros here
# usually contains 

# Set this one according your locales
# %%_install_langs

EOF

cd _build

# init an empty database for %ghost'ing for all supported backends
for be in %{?with_ndb:ndb} %{?with_sqlite:sqlite}; do
    mkdir ${be} || :
    tools/rpmdb --rcfile rpmrc --define "_db_backend ${be}" --dbpath=${PWD}/${be} --initdb
    cp -va ${be}/. $RPM_BUILD_ROOT/var/lib/rpm/
done

# some packages invoke find-debuginfo directly, preserve compat for now
ln -s ../../bin/find-debuginfo $RPM_BUILD_ROOT/usr/lib/rpm/find-debuginfo.sh

%find_lang rpm

find $RPM_BUILD_ROOT -name "*.la"|xargs rm -f

# We don't ship those historically (save ~432kb of space):
rm -rf %buildroot/%{rpmhome}/platform/m68k-linux
rm -rf %buildroot/%{rpmhome}/platform/riscv64-linux
%ifnarch %{ix86} x86_64
rm -rf %buildroot/%{rpmhome}/platform/i*86-linux
rm -rf %buildroot/%{rpmhome}/platform/athlon-linux
rm -rf %buildroot/%{rpmhome}/platform/pentium*-linux
rm -rf %buildroot/%{rpmhome}/platform/geode-linux
%endif
%ifnarch x86_64
rm -rf %buildroot/%{rpmhome}/platform/amd64-linux
rm -rf %buildroot/%{rpmhome}/platform/ia32e-linux
rm -rf %buildroot/%{rpmhome}/platform/x86_64-linux
%endif
%ifnarch %arm aarch64
rm -rf %buildroot/%{rpmhome}/platform/arm*
rm -rf %buildroot/%{rpmhome}/platform/aarch64*
%endif
# new in 4.10.0:
rm -rf %buildroot/%{rpmhome}/platform/alpha*-linux
rm -rf %buildroot/%{rpmhome}/platform/sparc*-linux
rm -rf %buildroot/%{rpmhome}/platform/ia64*-linux
rm -rf %buildroot/%{rpmhome}/platform/m68k*-linux
rm -rf %buildroot/%{rpmhome}/platform/mips*-linux
rm -rf %buildroot/%{rpmhome}/platform/ppc*-linux
rm -rf %buildroot/%{rpmhome}/platform/s390*-linux
rm -rf %buildroot/%{rpmhome}/platform/sh*-linux

# These live in python-rpm-generators now
rm -f $RPM_BUILD_ROOT/%{rpmhome}/pythond*
rm -f $RPM_BUILD_ROOT/%{_fileattrsdir}/python*

%if %{with debugedit}
rm -f $RPM_BUILD_ROOT/%{rpmhome}/{debugedit,sepdebugcrcfix,find-debuginfo.sh}
%endif

%if %{with check}
%check
#eatmydata make -j check TESTSUITEFLAGS="-j%{_smp_build_ncpus}" || (cat tests/rpmtests.log; exit 1)
%endif

%pre
/usr/share/rpm-helper/add-user rpm $1 rpm /var/lib/rpm /bin/false

%pretrans -p <lua> -n python3-rpm
-- (tv) temp upgrade for cauldron:
path = "%{python3_sitearch}/rpm-4.18.0-py3.10.egg-info"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end

%postun
/usr/share/rpm-helper/del-user rpm $1 rpm

# Handle rpmdb rebuild service on erasure of old to avoid ordering issues
# https://pagure.io/fesco/issue/2382
%triggerun -- rpm < 1:4.16.1.3-4
if [ -x /usr/bin/systemctl ]; then
    systemctl --no-reload preset rpmdb-rebuild ||:
fi

%posttrans
if [ -f /var/lib/rpm/Packages ]; then
    touch /var/lib/rpm/.rebuilddb
fi

%define	rpmattr		%attr(0755, rpm, rpm)

%files -f _build/rpm.lang
%license COPYING
%doc CREDITS docs/manual/[a-z]*
%doc %{_defaultdocdir}/rpm/CONTRIBUTING.md
%doc %{_defaultdocdir}/rpm/COPYING
%doc %{_defaultdocdir}/rpm/INSTALL
%doc %{_defaultdocdir}/rpm/README

%attr(0755,rpm,rpm) %{_bindir}/rpm
%attr(0755, rpm, rpm) %{_bindir}/rpm2cpio
%attr(0755, rpm, rpm) %{_bindir}/rpm2archive
%attr(0755, rpm, rpm) %{_bindir}/gendiff
%attr(0755, rpm, rpm) %{_bindir}/rpmdb
%attr(0755, rpm, rpm) %{_bindir}/rpmkeys
%attr(0755, rpm, rpm) %{_bindir}/rpmgraph
%{_bindir}/rpmquery
%{_bindir}/rpmverify
%{_bindir}/rpmsort

%dir %{_localstatedir}/spool/repackage
%dir %{rpmhome}
%dir /etc/rpm
%config(noreplace) /etc/rpm/macros
%attr(0755, rpm, rpm) %{rpmhome}/rpmdb_*
%attr(0644, rpm, rpm) %{rpmhome}/macros
%exclude %{rpmhome}/macros.d/macros.transaction*
%rpmhome/macros.d
%{rpmhome}/lua
%attr(0755, rpm, rpm) %{rpmhome}/rpm.*
%attr(0644, rpm, rpm) %{rpmhome}/rpmpopt*
%attr(0644, rpm, rpm) %{rpmhome}/rpmrc

%rpmattr	%{rpmhome}/rpm2cpio.sh
%rpmattr	%{rpmhome}/tgpg

%{_mandir}/man8/rpm.8*
%{_mandir}/man8/rpmdb.8*
%{_mandir}/man8/rpmgraph.8*
%{_mandir}/man8/rpmkeys.8*
%{_mandir}/man8/rpm2archive.8*
%{_mandir}/man8/rpm2cpio.8*
%{_mandir}/man8/rpm-misc.8*
%{_mandir}/man8/rpmsort.8*
%{_mandir}/man8/rpm-plugins.8*
%{_mandir}/man1/*.1*

%attr(0755, rpm, rpm)	%dir %_localstatedir/lib/rpm

%{_unitdir}/rpmdb-rebuild.service
%attr(0644, root, root) %ghost %config(missingok,noreplace) /var/lib/rpm/*
%attr(0644, root, root) %ghost /var/lib/rpm/.*.lock

%{rpmhome}/platform
%{rpmhome}/sysusers.sh

%dir %{rpmhome}/fileattrs

%files -n %librpmname
%{_libdir}/librpm.so.%{libmajor}{,.*}
%{_libdir}/librpmio.so.%{libmajor}{,.*}
%if %{with plugins}
%dir %{_libdir}/rpm-plugins

%files plugin-syslog
%{rpmhome}/macros.d/macros.transaction_syslog
%{_libdir}/rpm-plugins/syslog.so
%{_mandir}/man8/rpm-plugin-syslog.8*

%files plugin-selinux
%{rpmhome}/macros.d/macros.transaction_selinux
%{_libdir}/rpm-plugins/selinux.so
%{_mandir}/man8/rpm-plugin-selinux.8*

%files plugin-systemd-inhibit
%{rpmhome}/macros.d/macros.transaction_systemd_inhibit
%{_libdir}/rpm-plugins/systemd_inhibit.so
%{_mandir}/man8/rpm-plugin-systemd-inhibit.8*

%if %{with libimaevm}
%files plugin-ima
%{rpmhome}/macros.d/macros.transaction_ima
%{_libdir}/rpm-plugins/ima.so
%{_mandir}/man8/rpm-plugin-ima.8*
%endif

%if %{with fsverity}
%{rpmhome}/macros.d/macros.transaction_fsverity
%files plugin-fsverity
%{_libdir}/rpm-plugins/fsverity.so
%endif

%files plugin-fapolicyd
%{rpmhome}/macros.d/macros.transaction_fapolicyd
%{_libdir}/rpm-plugins/fapolicyd.so
%{_mandir}/man8/rpm-plugin-fapolicyd.8*

%files plugin-prioreset
%{rpmhome}/macros.d/macros.transaction_prioreset
%{_libdir}/rpm-plugins/prioreset.so
%{_mandir}/man8/rpm-plugin-prioreset.8*

%files plugin-audit
%{rpmhome}/macros.d/macros.transaction_audit
%{_libdir}/rpm-plugins/audit.so
%{_mandir}/man8/rpm-plugin-audit.8*
# with plugins

%files plugin-dbus-announce
%{rpmhome}/macros.d/macros.transaction_dbus_announce
%{_libdir}/rpm-plugins/dbus_announce.so
%{_mandir}/man8/rpm-plugin-dbus-announce.8*
%{_datadir}/dbus-1/system.d/org.rpm.conf
%endif

%files plugin-unshare
%{rpmhome}/macros.d/macros.transaction_unshare
%{_libdir}/rpm-plugins/unshare.so
%{_mandir}/man8/rpm-plugin-unshare.8*

%files -n %librpmbuild
%{_libdir}/librpmbuild.so.%{libmajor}{,.*}

%files -n %librpmsign
%{_libdir}/librpmsign.so.%{libmajor}{,.*}

%files build
%doc doc-copy/*
%rpmattr	%{_bindir}/rpmbuild
%rpmattr        %{_bindir}/rpmspec
%rpmattr        %{_bindir}/rpmlua

%{_mandir}/man8/rpmbuild.8*
%{_mandir}/man8/rpmdeps.8*
%{_mandir}/man8/rpmspec.8*
%{_mandir}/man8/rpmlua.8*

%{rpmhome}/brp-*
%{rpmhome}/check-*
%{rpmhome}/find-lang.sh
%{rpmhome}/*provides*
%{rpmhome}/*requires*
%{rpmhome}/*deps*
%{rpmhome}/*.prov
%{rpmhome}/*.req
%{rpmhome}/fileattrs/*
%{rpmhome}/find-debuginfo.sh
%{rpmhome}/rpmuncompress
%{rpmhome}/rpmdump

%files sign
%{_bindir}/rpmsign
%{_mandir}/man8/rpmsign.8*

%files -n python3-%{name}
%dir %{python3_sitearch}/rpm
%{python3_sitearch}/rpm-%{rpmver}*.egg-info
%{python3_sitearch}/rpm/__init__.py
%{python3_sitearch}/rpm/transaction.py
%{python3_sitearch}/rpm/_rpm.so
%artifact %{python3_sitearch}/rpm/__pycache__/

# Python examples
%{_defaultdocdir}/rpm/examples/*.py

%files -n %librpmnamedevel
%{_libdir}/librp*[a-z].so
%{_libdir}/pkgconfig/rpm.pc
%{_libdir}/cmake/rpm/
%{_includedir}/rpm/

%files cron
%{_sysconfdir}/cron.daily/rpm
%config(noreplace) %{_sysconfdir}/logrotate.d/rpm

%files apidocs
%license COPYING
%doc %{_defaultdocdir}/rpm/API/



%changelog
* Thu Oct 10 2024 wally <wally> 1:4.20.0-1.mga10
+ Revision: 2104574
- new version 4.20.0

* Thu Sep 12 2024 tv <tv> 1:4.19.94-1.mga10
+ Revision: 2095230
- Rebase to 4.20 rc2 (https://rpm.org/wiki/Releases/4.20.0)

* Sun Sep 08 2024 wally <wally> 1:4.19.93-1.mga10
+ Revision: 2093617
- new version 4.20 rc1
+ danf <danf>
- Update URLs to https:

* Fri Jul 05 2024 wally <wally> 1:4.19.92-1.mga10
+ Revision: 2079867
- new version 4.20 beta1
+ tv <tv>
- Avoid tilde and caret in the builddir path (#rhbz2290987)
- Fix signfiles regression from refactoring (#rhbz2291183)
- Improve backwards compatibility wrt %%{_builddir} use in specs (#rhbz2284193)
- Fix leaking \x1f at macro argument boundaries (rhbz#2284187)

* Tue Jun 04 2024 tv <tv> 1:4.19.91-7.mga10
+ Revision: 2069677
- Update to 4.20 alpha2 (https://rpm.org/wiki/Releases/4.20.0)
- Fix regression on subpackage debuginfo RPMTAG_SOURCERPM missing
- Fix debuginfo enabled for noarch when --target is used regression
- Fix incomplete header on plain src.rpm build modes regression
- Resurrect rpmbuild --buildroot option for cpack (rhbz#2284124)
- Bring back %%{buildsubdir} requirement for debuginfo generation
- Bring back %%{_buildrootdir} macro definition
- Fix RPM_BUILD_ROOT regression on a %%__spec_install_pre override (rhbz#2284036)

* Fri May 24 2024 tv <tv> 1:4.19.1.1-3.mga10
+ Revision: 2067169
- Enable rpm2archive

* Fri May 24 2024 tv <tv> 1:4.19.1.1-1.mga10
+ Revision: 2067021
- Update to 4.19.1.1 (https://rpm.org/wiki/Releases/4.19.1.1)

* Tue Apr 30 2024 wally <wally> 1:4.19.1-4.mga10
+ Revision: 2061780
- disable new user/group handling for now as it causes issues with the installer

* Mon Apr 08 2024 wally <wally> 1:4.19.1-3.mga10
+ Revision: 2055599
- basesystem rebuild for i686

* Sun Mar 24 2024 wally <wally> 1:4.19.1-2.mga10
+ Revision: 2051671
- add patch to fix build with gcc14

* Fri Dec 22 2023 tv <tv> 1:4.19.1-1.mga10
+ Revision: 2020863
- Update to 4.19.1 (https://rpm.org/wiki/Releases/4.19.1)
- Fix bogus warnings about runaway Lua scripts (rhbz#2254463)
+ wally <wally>
- another rebuild for py3.12 to get rid of older pkgs

* Thu Dec 07 2023 wally <wally> 1:4.19.0-7.mga10
+ Revision: 2014766
- rebuild for py3.12

* Thu Nov 30 2023 tv <tv> 1:4.19.0-6.mga10
+ Revision: 2011894
- Revert back from C.UTF-8 to C, it brokes some perl modules' testsuite

* Mon Nov 20 2023 wally <wally> 1:4.19.0-5.mga10
+ Revision: 2008421
- rebuild again due to a mistakenly restored older rpm
- bump rpm-mageia-setup-build (build)requires

* Sun Nov 19 2023 wally <wally> 1:4.19.0-4.mga10
+ Revision: 2008097
- rebuild with rpm-mageia-setup 2.72 to switch user() and group() requires to recommends only

* Fri Nov 17 2023 wally <wally> 1:4.19.0-3.mga10
+ Revision: 2007412
- switch user() and group() requires to recommends only

* Wed Sep 27 2023 wally <wally> 1:4.19.0-2.mga10
+ Revision: 1991259
- fix RPM vendor to be mageia

* Mon Sep 25 2023 tv <tv> 1:4.19.0-1.mga10
+ Revision: 1990916
- Update to 4.19.0 (https://rpm.org/wiki/Releases/4.19.0)

* Sat Feb 25 2023 wally <wally> 1:4.18.0-7.mga9
+ Revision: 1945310
- switch python3 pkg %%pretrans egg-info removal to lua and do it only if the old one is directory

* Fri Feb 24 2023 tv <tv> 1:4.18.0-6.mga9
+ Revision: 1945218
- Fix directory on file egg-info update

* Thu Feb 23 2023 tv <tv> 1:4.18.0-5.mga9
+ Revision: 1945181
- Disable debuginfod lookups in rpmbuild scripts
  (elfutils-0.182+ starting to do network lookups for ELF symbol information
  which we don't want when running rpmbuild)
- Exclude kernel modules from ELF dependency generation (save cycles)
- Drop the temporary setup.py-based Python build (rhbz#2135719)
- Generate Python egg-info from automake (rhbz#2135561) just in case b/c of above
- Fix breakage in wally's previous commit
+ wally <wally>
- stop shipping unused /etc/rpm/macros.d/ dir

* Sat Jan 07 2023 wally <wally> 1:4.18.0-4.mga9
+ Revision: 1931015
- drop unneeded /etc/rpm/macros.d/*.macros patch from 2008 as all macros are nowadays in proper places

* Sun Dec 11 2022 tv <tv> 1:4.18.0-3.mga9
+ Revision: 1920507
- Fix hang-up on failed key import (rhbz#2149762)
- Allow future building with sequoia

* Tue Nov 29 2022 tmb <tmb> 1:4.18.0-2.mga9
+ Revision: 1912555
- stop trying to strip firmware files

* Wed Oct 12 2022 tv <tv> 1:4.18.0-1.mga9
+ Revision: 1896595
- Rebase to rpm 4.18.0 (https://rpm.org/wiki/Releases/4.18.0)

* Fri Sep 02 2022 tv <tv> 1:4.18.0-0.rc1.1.mga9
+ Revision: 1883431
- Rebase to 4.18.0-rc1 (https://rpm.org/wiki/Releases/4.18.0)

* Fri Aug 05 2022 wally <wally> 1:4.18.0-0.beta1.5.mga9
+ Revision: 1875357
- add cherry-picked upstream patch to fix query arguments with ^ not working (mga#30419)

* Wed Aug 03 2022 tv <tv> 1:4.18.0-0.beta1.4.mga9
+ Revision: 1874977
- Fix check-buildroot regression wrt bundled SRPM (rhbz#2104150)
- Revert %%autosetup -S git patch due to another regression

* Thu Jun 30 2022 tv <tv> 1:4.18.0-0.beta1.1.mga9
+ Revision: 1866796
- Rebase to 4.18.0-beta1 (https://rpm.org/wiki/Releases/4.18.0)

* Mon May 23 2022 tv <tv> 1:4.18.0-0.alpha2.2.mga9
+ Revision: 1859939
- Prevent uncontrolled sqlite WAL growth during large transactions

* Mon May 16 2022 tv <tv> 1:4.18.0-0.alpha2.1.mga9
+ Revision: 1858335
- Rebase to 4.18.0 alpha 2 (https://fedoraproject.org/wiki/Changes/RPM-4.18)

* Thu Apr 28 2022 tv <tv> 1:4.18.0-0.alpha1.6.mga9
+ Revision: 1854865
- Fix rubygem unpack regression, causing rubygem builds to fail
- Fix verbose source uncompress regression (rhbz#2079127)
- Further dynamic buildrequires cli switch regression fixes (rhbz#2078744)
- Fix rpmbuild -ba --nodeps regression wrt dynamic buildrequires (rhbz#2078744)
- Rebase to 4.18.0 alpha (https://fedoraproject.org/wiki/Changes/RPM-4.18)
- Add patches for two late discovered regressions
- Fix rpmbuild -br not producing a src.rpm regression (#2078744)

* Sat Feb 05 2022 wally <wally> 1:4.17.0-6.mga9
+ Revision: 1771773
- rebuild for python3.10

* Fri Feb 04 2022 tv <tv> 1:4.17.0-5.mga9
+ Revision: 1771404
- Really fix spurious %%transfiletriggerpostun execution (rhbz#2023311, rhbz#2048168)

* Wed Jan 19 2022 tv <tv> 1:4.17.0-4.mga9
+ Revision: 1769033
- Fix spurious %%transfiletriggerpostun execution (rhbz#2023311)

* Fri Oct 01 2021 tmb <tmb> 1:4.17.0-2.mga9
+ Revision: 1747304
- rebuild for openssl 3.0.0

* Sun Sep 05 2021 tv <tv> 1:4.17.0-1.2.mga9
+ Revision: 1744357
- Rebase to 4.17.0 final (https://rpm.org/wiki/Releases/4.17.0)

* Fri Aug 27 2021 tv <tv> 1:4.17.0-0.rc1.0.2.mga9
+ Revision: 1742683
- Drop reverting bumping sqlite timeout
- Recommends gdb-minimal

* Sat Aug 21 2021 tv <tv> 1:4.17.0-0.rc1.0.1.mga9
+ Revision: 1742102
- Revert increasing sqlite timeout for now

* Fri Aug 20 2021 tv <tv> 1:4.17.0-0.rc1.0.mga9
+ Revision: 1742017
- Rebase to 4.17.0 rc1
  https://rpm.org/wiki/Releases/4.17.0
  https://lists.rpm.org/pipermail/rpm-announce/2021-August/000091.html
- Add plugin-dbus-announce sub pkg
- Move requires on gawk, tar, unzip, gzip, bzip2, cpio, xz, zstd, debugedit from rpm into rpm-build
- librpmsign needs gnupg2...

* Thu Jun 24 2021 tv <tv> 1:4.17.0-0.beta1.2.mga9
+ Revision: 1732085
- Add back /usr/lib/rpm/find-debuginfo.sh as a compat symlink
  (some packages invoke find-debuginfo directly, preserve compat for now)
- BR debugedit

* Tue Jun 22 2021 tv <tv> 1:4.17.0-0.beta1.1.mga9
+ Revision: 1731721
- 4.17.0 beta1 (https://rpm.org/wiki/Releases/4.17.0)
- Rediff patches
- Drop merged patches
- Drop patches for removed files
- Fixup beta1 issues regarding docs vs pandoc

* Sat Jun 12 2021 tv <tv> 1:4.16.90-0.git15395.3.mga9
+ Revision: 1730475
- Support hash v8 databases from BDB < 4.6 in bdb_ro
  Fixes reading rpm databases from older distros like very old mdv (<2008),
  SLES 11 or RHEL 5

* Tue Jun 01 2021 tv <tv> 1:4.16.90-0.git15395.2.mga9
+ Revision: 1729162
- Fix regression reading rpm v3 and other rare packages (#1635)

* Fri May 21 2021 tv <tv> 1:4.16.90-0.git15395.1.mga9
+ Revision: 1725980
- Rebase to rpm 4.17.0 alpha (https://rpm.org/wiki/Releases/4.17.0)
- Switch to external debugedit
- Enable fapolicyd plugin build
- Add build conditional for fsverity plugin

* Fri May 21 2021 tv <tv> 1:4.16.1.3-4.mga9
+ Revision: 1725909
- Add rpmdb-rebuild systemd service
- Issue deprecation warning when creating BDB databases (rhbz#1787311)
- Switch rpmdb from libdb to sqlite on reboot

* Sat Apr 24 2021 tmb <tmb> 1:4.16.1.3-3.mga9
+ Revision: 1719247
- disable check... apparently fakechroot is broken
- rebuild with gcc 11.1

* Fri Apr 02 2021 wally <wally> 1:4.16.1.3-2.mga9
+ Revision: 1712665
- rebuild for lua 5.4

* Sun Mar 28 2021 tv <tv> 1:4.16.1.3-1.1.mga9
+ Revision: 1711579
- Add DWARF5 support to debugedit

* Sun Mar 28 2021 tv <tv> 1:4.16.1.3-1.mga9
+ Revision: 1711289
- Rebase to rpm 4.16.1.3 (https://rpm.org/wiki/Releases/4.16.1.3)

* Sun Mar 14 2021 wally <wally> 1:4.16.1.2-5.mga9
+ Revision: 1702572
- rebuild for python 3.9

* Sat Mar 13 2021 wally <wally> 1:4.16.1.2-4.mga9
+ Revision: 1702295
- rebuild for mga9 toolset
+ tv <tv>
- Make with/without bdb build option actually work

* Thu Feb 25 2021 neoclust <neoclust> 1:4.16.1.2-3.mga9
+ Revision: 1691076
- Add rpm-python as a provide for compatible reason

* Fri Jan 29 2021 ngompa <ngompa> 1:4.16.1.2-2.mga8
+ Revision: 1674035
- Build SELinux plugin to satisfy dependency for selinux-policy

* Wed Dec 16 2020 tv <tv> 1:4.16.1.2-1.mga8
+ Revision: 1658051
- Rebase to rpm 4.16.1.2 (http://rpm.org/wiki/Releases/4.16.1.2)

* Thu Dec 10 2020 tv <tv> 1:4.16.1-1.mga8
+ Revision: 1655132
- Rebase to rpm 4.16.1 (http://rpm.org/wiki/Releases/4.16.1)

* Mon Nov 30 2020 tv <tv> 1:4.16.0-4.mga8
+ Revision: 1650709
- Fix BDB crashing on failed open attempts (rhbz#1902395, #1898299, #1900407)
- Fix unnecessary double failure on lazy keyring open

* Mon Oct 05 2020 tv <tv> 1:4.16.0-3.mga8
+ Revision: 1632276
- move mkinstalldirs, elfdeps, & fileattrs/*.attr from rpm into rpm-build
  no need for file conflicts as they're always in the same priority transaction
- simplify platform filelist
- simplify filelist
- remove workaround accordingly

* Mon Oct 05 2020 tv <tv> 1:4.16.0-2.mga8
+ Revision: 1632245
- Clean up after test-suite which leaves a read-only tree behind

* Wed Sep 30 2020 tv <tv> 1:4.16.0-1.mga8
+ Revision: 1631274
- Rebase to 4.16.0 final (https://rpm.org/wiki/Releases/4.16.0)

* Mon Aug 31 2020 tv <tv> 1:4.16.0-0.rc1.1.mga8
+ Revision: 1620539
- Rebase to 4.16.0-rc1
- use %%set_build_flags

* Wed Jun 24 2020 tv <tv> 1:4.16.0-0.beta3.2.mga8
+ Revision: 1599088
- rebuild with the new fixed tarball (sigh) with fixed tests
- do not ignore the testsuite results anymore
- drop mga6 -> mga7 conflict upgrades

* Wed Jun 24 2020 tv <tv> 1:4.16.0-0.beta3.1.mga8
+ Revision: 1599080
- 4.16.0 beta3 -- https://rpm.org/wiki/Releases/4.16.0

* Tue Jun 23 2020 tv <tv> 1:4.16.0-0.beta2.1.mga8
+ Revision: 1598795
- work-around different uname mask on BS
- ignore test failing on !x86_64 due to hardcoded arch
- run testsuite in // now that it's possible
  (gain is higher on SSD)
- 4.16.0 beta2 (https://rpm.org/wiki/Releases/4.16.0)
- revert bash change

* Thu Jun 18 2020 tv <tv> 1:4.16.0-0.beta1.5.mga8
+ Revision: 1596381
- emit deps on bash instead of on /usr/bin/bash

* Thu Jun 11 2020 tv <tv> 1:4.16.0-0.beta1.4.mga8
+ Revision: 1592273
- Fix prefix search on sqlite backend (many file triggers not running)

* Tue Jun 09 2020 tv <tv> 1:4.16.0-0.beta1.3.mga8
+ Revision: 1591202
- Unbreak metainfo() provide generation
- Don't auto-enable _flush_io on non-rotational media, it's too costly
- use a patch instead of deleting man8/rpm-plugin-selinux.8

* Sun May 31 2020 tv <tv> 1:4.16.0-0.beta1.1.mga8
+ Revision: 1589164
- 4.16.0 beta1

* Thu May 21 2020 wally <wally> 1:4.15.90-0.git14971.5.mga8
+ Revision: 1586737
- rebuild for arm

* Thu May 21 2020 wally <wally> 1:4.15.90-0.git14971.4.mga8
+ Revision: 1586719
- make rpm-build to require diffutils for diff command
- add patch to make pkgs to not own localized man page dirs when %%find_lang is used with '--with-man --all-name'

* Tue May 19 2020 tv <tv> 1:4.15.90-0.git14971.3.mga8
+ Revision: 1586106
- drop patch fixing testsuite regarding glibc debuginfo leak
- no more need to initdb in %%post
- kill old mandrake bits in %%pre

* Thu Apr 23 2020 tv <tv> 1:4.15.90-0.git14971.2.mga8
+ Revision: 1571388
- Fix regression(s) on build dependency resolution
- Add rpmdb-rebuild systemd service

* Tue Apr 21 2020 tv <tv> 1:4.15.90-0.git14971.1.mga8
+ Revision: 1570321
- build: prioritize large packages
- drop 2 years old temp cauldron fix
- drop obsolete nss BR & hack as it's obsolete

* Tue Apr 21 2020 tv <tv> 1:4.15.90-0.git14971.0.6.mga8
+ Revision: 1570230
- Warn on undefined macros in buildtree setup macros (rhbz#1820349)

* Tue Apr 14 2020 tv <tv> 1:4.15.90-0.git14971.0.5.mga8
+ Revision: 1567288
- Reimplement pythondeps.sh as parametric macro generators (way faster)
  (python-rpm-generators will need for the similar change)
- Time to go into core/release
- Fix regression causing all ELF files classified as OCaml

* Wed Apr 08 2020 tv <tv> 1:4.15.90-0.git14971.0.4.mga8
+ Revision: 1565575
- revert setting --with-vendor=%%_vendor as it breaks the macro path due to uppercase, thus eg mkrel is undefined

* Tue Apr 07 2020 tv <tv> 1:4.15.90-0.git14971.0.3.mga8
+ Revision: 1565401
- Fix invalid path passed to parametric macro generators
- Fix regression causing segfault on database autodetection
- set vendor
- fix librpmsign summary & description

* Wed Apr 01 2020 tv <tv> 1:4.15.90-0.git14971.0.2.mga8
+ Revision: 1563843
- fix rpmbuild description: librpmsign was split a looong time ago...
- Add bconds for and enable sqlite, ndb and bdb_ro database backends
- Add bcond for disabling bdb backend
- Ensure all database backend files are owned
- simplify rpm-4.15.x-ldflags.patch as we now have %%build_ldflags in rpm-mageia-setup
- Re-enable hard test-suite failures again
- adjust script.req not to output twice interpreter deps
  (thus fixing the last testsuite breakage)
- adjust testsuite expected results due to the fact we don't emit /bin/sh dep
- fix testsuite failure on debuginfo due to readelf seeing glibc's csu

* Sun Mar 29 2020 tv <tv> 1:4.15.90-0.git14971.0.1.mga8
+ Revision: 1562234
- 4.16.0 alpha (https://rpm.org/wiki/Releases/4.16.0)
  o perl-URPM build smoothly, its testsuite passed
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 23 2019 tv <tv> 1:4.15.1-3.mga8
+ Revision: 1469730
- fix detecting zstd magic

* Tue Dec 10 2019 wally <wally> 1:4.15.1-2.mga8
+ Revision: 1465761
- set %%build_ldflags to same as %%ldflags

* Fri Nov 22 2019 tv <tv> 1:4.15.1-1.mga8
+ Revision: 1462176
- Rebase to 4.15.1 (https://rpm.org/wiki/Releases/4.15.1)
- Revert armv8 detection improvements

* Fri Oct 04 2019 tv <tv> 1:4.15.0-6.mga8
+ Revision: 1449204
- provides rpm-libs
- drop support for obsolete/broken %%apply_patches (use %%autopatch)

* Mon Sep 30 2019 tv <tv> 1:4.15.0-5.mga8
+ Revision: 1448388
- Update to 4.15.0 final (https://rpm.org/wiki/Releases/4.15.0)
- fix rpm-plugin-audit deps

* Fri Sep 06 2019 wally <wally> 1:4.15.0-0.rc1.5.mga8
+ Revision: 1437727
- push to core/updates_testing for python3.8

* Thu Sep 05 2019 wally <wally> 1:4.15.0-0.rc1.4.mga8
+ Revision: 1437666
- fix ldflags patch

* Wed Sep 04 2019 wally <wally> 1:4.15.0-0.rc1.3.mga8
+ Revision: 1437137
- rebuild for arm

* Tue Sep 03 2019 wally <wally> 1:4.15.0-0.rc1.2.mga8
+ Revision: 1436775
- rebuild for python3.8
- drop python2 support
+ tv <tv>
- Rebase to 4.15.0 RC
- Drop leftover build-dependency on binutils-devel
- %%apply_patches patch simplified but need testing (or to drop)

* Thu May 30 2019 tmb <tmb> 1:4.14.2.1-12.mga7
+ Revision: 1399388
- add versioned deps on lib(64)db5.3 for upgrades (mga #24767)

* Sat May 04 2019 pterjan <pterjan> 1:4.14.2.1-11.mga7
+ Revision: 1396361
- Add upstream patch adding armv8l definitions

* Fri Apr 12 2019 tv <tv> 1:4.14.2.1-10.mga7
+ Revision: 1389504
- Unbreak Python 3 API by returning string data as surrogate-escaped utf-8
  string objects instead of bytes (rhbz#1693751)
- As a temporary crutch,  monkey-patch a .decode() method to returned strings
  to give users time to migrate from the long-standing broken behavior
- Fix excessive reference counting on faked string .decode()
- Generate minidebug for PIE executables on file >= 5.33 too
- Backport find-debuginfo --g-libs option for glibc's benefit (rhbz#1661512)
- Backport the new modularity label tag (rhbz#1650286)

* Sat Jan 05 2019 wally <wally> 1:4.14.2.1-9.mga7
+ Revision: 1349233
- rebuild for python3.7
+ tv <tv>
- Take prefix into account when compressing man pages etc for Flatpak builds

* Tue Oct 23 2018 tv <tv> 1:4.14.2.1-8.mga7
+ Revision: 1324606
- wipe out BDB environment at boot via tmpfiles.d

* Tue Oct 23 2018 tv <tv> 1:4.14.2.1-7.mga7
+ Revision: 1324605
- Own all rpmdb files and ensure the list remains up to date
- Drop redundant verify exclusions on rpmdb ghosts
- Rebase to rpm 4.14.2.1 (http://rpm.org/wiki/Releases/4.14.2.1)
- rpmfc: push name/epoch/version/release macro before invoking (rpm#502)

* Tue Sep 25 2018 tv <tv> 1:4.14.2-7.mga7
+ Revision: 1304725
- rebuild for provides

* Mon Sep 24 2018 tv <tv> 1:4.14.2-6.mga7
+ Revision: 1303637
- really rebuild against new python
- rebuild against new python

* Tue Sep 11 2018 wally <wally> 1:4.14.2-4.mga7
+ Revision: 1258422
- update ldflags patch to work (as we don't have %%__global_ldflags)

* Mon Sep 10 2018 tv <tv> 1:4.14.2-3.mga7
+ Revision: 1258145
- filter bin/env before handling python/perl/...
  thus fixing file dep on /bin/pythin in eg: gobject-introspection

* Sat Sep 08 2018 tv <tv> 1:4.14.2-2.mga7
+ Revision: 1257756
- add support for scriptlet deps in generated deps

* Thu Aug 23 2018 tv <tv> 1:4.14.2-1.mga7
+ Revision: 1253552
- Update to rpm 4.14.2 final (http://rpm.org/wiki/Releases/4.14.2)
- Move python-macro-helper to main package where the macros are (rhbz#1577860)
  thus fixing errors when running rpmlint w/o rpm-build installed

* Wed Aug 08 2018 tv <tv> 1:4.14.2-0.rc2.1.mga7
+ Revision: 1250413
- Update to rpm 4.14.2-rc2

* Sat Aug 04 2018 tmb <tmb> 1:4.14.2-0.rc1.3.mga7
+ Revision: 1247423
- rebuild for perl 5.28

* Wed Aug 01 2018 tv <tv> 1:4.14.2-0.rc1.2.mga7
+ Revision: 1246497
- Decompress DWARF compressed ELF sections
  (debugedit and dwz do not support them)

* Mon Jul 02 2018 tv <tv> 1:4.14.2-0.rc1.1.mga7
+ Revision: 1241275
- 4.14.2 RC1
- drop merged patches

* Tue Jun 12 2018 tv <tv> 1:4.14.1-7.mga7
+ Revision: 1236504
- Skip automatic Python byte-compilation (outside of Python directories) if
  *.py files are not present, and allow to disable it even if they are
  See https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation
- add support for --what(conflicts|obsoletes)

* Sat May 26 2018 tmb <tmb> 1:4.14.1-6.mga7
+ Revision: 1232283
- rebuild for new glibc

* Wed May 23 2018 tv <tv> 1:4.14.1-5.mga7
+ Revision: 1231928
- find-debuginfo.sh: Handle application/x-pie-executable (rhbz#1581224)

* Wed Apr 25 2018 ngompa <ngompa> 1:4.14.1-4.mga7
+ Revision: 1222373
- Enable zstd payload support
- Add missing Conflicts for rpm-plugin-prioreset
- Consistently indent some BRs
+ wally <wally>
- add aarch64 support

* Sat Jan 20 2018 tv <tv> 1:4.14.1-3.mga7
+ Revision: 1195265
- obsolete temp rpm-fix

* Sat Jan 20 2018 tv <tv> 1:4.14.1-2.mga7
+ Revision: 1195210
- temporary BR rpm-fix
- Avoid nuking the new python-macro-helper along with dep generators (rhbz#1535692)

* Wed Jan 17 2018 tv <tv> 1:4.14.1-1.mga7
+ Revision: 1194183
- 4.14.1

* Thu Jan 11 2018 ngompa <ngompa> 1:4.14.0-7.mga7
+ Revision: 1192335
- Remove patches for Platform Python, as it's gone in Fedora
- Use correct macros for building Python bindings

* Sat Dec 16 2017 tv <tv> 1:4.14.0-6.mga7
+ Revision: 1182973
- Fix file lists getting fed to file triggers multiple times (rpm#370)

* Wed Nov 22 2017 tv <tv> 1:4.14.0-5.mga7
+ Revision: 1178637
- Fix not all %%transfiletriggerpostun triggers executing (rhbz#1514085)

* Fri Oct 27 2017 tv <tv> 1:4.14.0-4.mga7
+ Revision: 1173947
- find-lang: restore support for multiple names...

* Sun Oct 15 2017 tv <tv> 1:4.14.0-3.mga7
+ Revision: 1171981
- prevent emitting filedeps on lua since it relies on alternatives

* Sat Oct 14 2017 tv <tv> 1:4.14.0-2.mga7
+ Revision: 1171728
- patch 176: prevent emitting bogus "file /bin/lua is not owned by any package"
  requires
  while this bug existed for quite a long time, only copy-jdk-configs-3.2-1.mga7
  exposed it, as it relies on an "alternatived" interpreter, symlinked to
  /etc/alternatives/

* Thu Oct 12 2017 tv <tv> 1:4.14.0-1.mga7
+ Revision: 1171432
- new release
- explain patches

* Thu Oct 05 2017 tv <tv> 1:4.14.0-0.rc2.4.mga7
+ Revision: 1169122
- fix rebuilddb only creating main Packages db, thus breaking verifydb after
  rebuilddb in perl-RPM4 testsuite (last RPM4 regression :-) )

* Wed Oct 04 2017 tv <tv> 1:4.14.0-0.rc2.3.mga7
+ Revision: 1168517
- URPM regression fix: Always initialize hdrp retval of rpmReadPackageFile()

* Mon Oct 02 2017 tv <tv> 1:4.14.0-0.rc2.2.mga7
+ Revision: 1162647
- revert upstream changes ignoring autpdeps from docs, thus breaking perl deps

* Thu Sep 28 2017 tv <tv> 1:4.14.0-0.rc2.1.mga7
+ Revision: 1161060
- rpm 4.14.0-rc2 (http://rpm.org/wiki/Releases/4.14.0)
- drop specspo patch we don't want
- better URL

* Mon Sep 18 2017 tv <tv> 1:4.14.0-0.rc1.4.mga7
+ Revision: 1155230
- Fix Ftell() past 2GB on 32bit architectures (rhbz#1492587)
- Avoid multiple strlen() calls on the constant prefix string when searching FT

* Wed Sep 13 2017 pterjan <pterjan> 1:4.14.0-0.rc1.3.mga7
+ Revision: 1153650
- Fix bad merge

* Wed Sep 13 2017 tv <tv> 1:4.14.0-0.rc1.2.mga7
+ Revision: 1153530
- use upstream fix for not run filetriggers (mga#18797)

* Thu Sep 07 2017 tv <tv> 1:4.14.0-0.rc1.1.mga7
+ Revision: 1151713
- rebase to rpm 4.14.0-rc1 (http://rpm.org/wiki/Releases/4.14.0)
- drop merged patches
- disable do-not-link-libpython.patch

* Tue Sep 05 2017 tv <tv> 1:4.13.90-0.git14002.13.mga7
+ Revision: 1151563
- BR gnupg2 for testsuite
- Band-aid for DB_VERSION_MISMATCH errors on glibc updates (rhbz#1465809)
- Remove ugly kludges from posttrans script, BDB handles this now
- fix plugin-prioreset deps
- -fPIC is no more needed

* Wed Aug 23 2017 tv <tv> 1:4.13.90-0.git14002.12.mga7
+ Revision: 1143554
- use silent lookups, thus hiding warning regarding debuginfo for noarch
  packages (rhbz#1482144)
- use platform-python for bytecompilation in /usr/lib*/platform-python
- 4.14 alpha (major is now 8)
- drop ton of merged patches
- rediff a couple patches
- new plugin plugin-prioreset (not to be installed by default)
- disable new sha256 header digest, generation until fixed in older
  versions (rhbz#1480407)
- disable macro argument quoting breaks too much stuff, until a better
  solution is found upstream (rhbz#1481025)

* Thu Aug 03 2017 tv <tv> 1:4.13.0.1-11.mga7
+ Revision: 1134493
- ignore testsuite failures again
- move debugsource enablement into rpm-mageia-setup
- do not ignore testsuite errors anymore
- remove 2 patches patches that made old suggests be equivalent to recommends
  (for mga4 -> mga5 upgrade)
- make clear patch3 is not from FC
- renumber patches (easier sync with FC)
+ philippem <philippem>
- rebuild for Python 3.6

* Sun Jul 30 2017 ngompa <ngompa> 1:4.13.0.1-9.mga7
+ Revision: 1132913
- Refresh debuginfo + debugsource patches from Fedora
- Split rpm plugins into subpackages
- Split cron job into subpackage
- Weakly depend on rpm plugins to continue existing behavior
- Revert BR on python3.6 and BR on python3
+ philippem <philippem>
- rebuild with python 3.6.2
+ neoclust <neoclust>
- Add back commit "actually swith to OpenSSL for crypto"

* Thu Jul 27 2017 neoclust <neoclust> 1:4.13.0.1-7.mga7
+ Revision: 1131320
- Revert using openssl ( just to have it using last changes regarding debugsources)
+ tv <tv>
- revert using debugsources by default
- actually swith to OpenSSL for crypto
- remove temporary cauldron obsoletes (was for mga5's cauldron)

* Wed Jul 26 2017 tv <tv> 1:4.13.0.1-6.mga7
+ Revision: 1131292
- Backport trivial fix for debugsourcefiles.list ending up in random dir
- Enable debugsource and debuginfo subpackages by default
- Make sure that test results are not ignored
- Fix rpmfd_write on big endian arches.

* Sun Jul 23 2017 tv <tv> 1:4.13.0.1-5.mga7
+ Revision: 1129481
- find-debuginfo.sh: Remove non-allocated NOBITS sections from minisymtab

* Thu Jul 20 2017 tv <tv> 1:4.13.0.1-4.mga7
+ Revision: 1125499
- split python deps generators into python3-rpm-generators
- misc fixes from FC
- backport debuginfo improvements from master, including:
  o debuginfo build-id warn/error fix (rhbz#1430587)
  o Parallel debuginfo processing
  o Support debugsource and debuginfo subpackages
- OpenSSL backend
- Rich dependencies coming from dependency generators
- Python dependency generators live in python-rpm-generators now (rhbz#1444925)
- use colors when logging on terminal

* Mon Jul 10 2017 pterjan <pterjan> 1:4.13.0.1-3.mga6
+ Revision: 1109604
- Add an ugly patch to fix trans file triggers not being run (mga#18797)

* Wed Mar 01 2017 tv <tv> 1:4.13.0.1-2.mga6
+ Revision: 1088380
- fix Python byte compilation for Python3 only packages (rhbz#1411588)
- sync pythondistdeps.py with FC but the fileattr patch that makes the switch to new python deps
- Fix number of references on spec_Type (rhbz#1426578)

* Thu Feb 16 2017 tv <tv> 1:4.13.0.1-1.mga6
+ Revision: 1086427
- new version

* Wed Jan 25 2017 tv <tv> 1:4.13.0-8.mga6
+ Revision: 1083416
- Fix malformed packages being generated around 4GB boundary (rhbz#1405570)
- Resurrect debuginfo GDB index generation (rhbz#1410907)

* Thu Dec 29 2016 tv <tv> 1:4.13.0-7.mga6
+ Revision: 1078606
- disable the systemd-inhibit plugin when systemd-logind is not running (Martin
  Whitaker, mga#20016)
+ tmb <tmb>
- use hardcoded epoch in python-rpm obosolete (Rémi)

* Sun Nov 13 2016 tmb <tmb> 1:4.13.0-6.mga6
+ Revision: 1066937
- fix obsoleting python-rpm (missing epoch)

* Fri Nov 11 2016 tv <tv> 1:4.13.0-5.mga6
+ Revision: 1066503
- add more check regarding trigger separators

* Fri Nov 11 2016 tv <tv> 1:4.13.0-4.mga6
+ Revision: 1066388
- patch 506: Ensure that file trigger conditions are paths (mga#18797)
  (beware glib2.0)
- drop now uneeded tarball of missing files
- drop very old conflicts
- do not include all man8 man pages when some are also in other subpkgs
- move rpmspec man page in the build subpkg that includes it
- sort
- rename python-rpm -> python2-rpm
- drop mga5 specific lua requires

* Mon Nov 07 2016 tv <tv> 1:4.13.0-3.mga6
+ Revision: 1065616
- fix invalid memory access on %%transfiletriggerpostun (rhbz#1284645, mga#18797)

* Thu Nov 03 2016 tv <tv> 1:4.13.0-2.mga6
+ Revision: 1064997
- use gnupg2 for signing
- add conditional to build with ndb
- build with acl support
- remove non existing --with-apidocs option
- remove non existing --without-javaglue option
- remove non existing --with-sqlite3 option
- remove non existing --with-glob option
- add %%bcond_without check
- remove %%bcond_without python
- fix lib summary+descr
- update devel descr
- fix python-rpm name in descr
- fix python3-rpm name in descr
- explain what RPM means

* Thu Nov 03 2016 tv <tv> 1:4.13.0-1.mga6
+ Revision: 1064911
- final release
- drop 1 merged patch
- adjust rpmdb index ghosts to match rpm-4.9+ reality
- patch 504: switch to upstream fix for testsuite

* Fri Oct 21 2016 tv <tv> 1:4.13.0-0.rc2.2.mga6
+ Revision: 1062889
- do not packge GROUPS (mga#10250)
- re-enable testsuite
- source2: add missing files for testsuite
- patches 503-505: fix testsuite
- switch to %%autosetup
- rename doc subpkg as apidocs
- package license with %%license
- update license

* Thu Oct 20 2016 tv <tv> 1:4.13.0-0.rc2.1.mga6
+ Revision: 1062738
- rpm 4.13.0~rc2
- fix Source URL
- drop merged patches
- BR binutils-devel again
- use %%global instead of %%define

* Wed Oct 19 2016 tv <tv> 1:4.13.0-0.rc1.37.mga6
+ Revision: 1062311
- switch to the upstream gem extraction in %%setup (needs adaptation in rubygems.macros in ruby-RubyGems)
- patch 501: fix rpm2cpio.sh (not rpm2cpio) with locales where it's broken (mga#13631)
- renumber patch 132 as it's not a FC patch and conflicts with resyncing

* Sat Oct 15 2016 tv <tv> 1:4.13.0-0.rc1.36.mga6
+ Revision: 1060956
- drop %%old_configure I introduced a couple months ago as all packages using it have been fixed
- we don't need tetex anymore

* Mon Oct 10 2016 ngompa <ngompa> 1:4.13.0-0.rc1.35.mga6
+ Revision: 1060025
- Fix rpm2archive to return 0 on successful conversion
- Prevent find-debuginfo.sh from copying extra sections into .gnu_debugdata (rhbz#1382394)
+ tv <tv>
- Fix signing with non-ASCII uid keys (rhbz#1243963)
- Use armv7hl isa for all armhfp (armv7h*l) arches (rhbz#1326871)

* Tue May 17 2016 tv <tv> 1:4.13.0-0.rc1.33.mga6
+ Revision: 1016514
- Filter unversioned deps if corresponding versioned deps exist (rhbz#678605)

* Wed May 11 2016 tv <tv> 1:4.13.0-0.rc1.32.mga6
+ Revision: 1013627
- patch 201: fix a segfault in perl-RPM4 testsuite

* Tue Apr 26 2016 tv <tv> 1:4.13.0-0.rc1.31.mga6
+ Revision: 1006325
- Fix sigsegv in stringFormat() (rhbz#1316903)
- Fix reading rpmtd behind its size in formatValue() (rhbz#1316896)

* Sat Apr 16 2016 tv <tv> 1:4.13.0-0.rc1.30.mga6
+ Revision: 1002880
- use upstream patch for fuzz settings for %%autopatch/%%autosetup
- add %%{_default_patch_flags} to %%__patch which is used in %%autosetup
- enable --no-backup-if-mismatch by default in %%patch macro (rhbz#884755)
- make creating index records consistent for rich & rich-weak deps (rhbz#1325982)

* Thu Apr 14 2016 tv <tv> 1:4.13.0-0.rc1.29.mga6
+ Revision: 1001343
- provides: rpm-libs

* Wed Apr 13 2016 tv <tv> 1:4.13.0-0.rc1.28.mga6
+ Revision: 1001095
- add RPMCALLBACK_ELEM_PROGRESS callback type
- fix non-working combination of %%lang and %%doc directive (rhbz#1254483)
- add posix.redirect2null (rhbz#1287918)

* Sun Apr 03 2016 tv <tv> 1:4.13.0-0.rc1.27.mga6
+ Revision: 997815
- sync localstatedir value with rpm-mageia-setup one
- change platform sharedstatedir to something more sensible (mga#16944)

* Thu Mar 24 2016 tv <tv> 1:4.13.0-0.rc1.26.mga6
+ Revision: 995107
- Add posix.redirect2null (rhbz#1287918)
+ wally <wally>
- fix rpm_add_armv5tl.patch to apply with fuzz=0

* Sun Mar 13 2016 wally <wally> 1:4.13.0-0.rc1.25.mga6
+ Revision: 990197
- add patch from Neal Gompa to use fuzz setting with %%autopatch and %%autosetup
+ tv <tv>
- add a doc subpackage

* Sun Feb 28 2016 tv <tv> 1:4.13.0-0.rc1.24.mga6
+ Revision: 980315
- Fix ExclusiveArch/ExcludeArch for noarch packages (rhbz#1298668)
- Fix dependencies for RemovePathPostfixes (rhbz#1306559)

* Tue Feb 23 2016 tv <tv> 1:4.13.0-0.rc1.23.mga6
+ Revision: 977389
- block idle and sleep in the systemd-inhibit plugin (rhbz#1297984)
- remove size limit when expanding macros (rhbz#1301677)

* Thu Jan 28 2016 tv <tv> 1:4.13.0-0.rc1.22.mga6
+ Revision: 928464
- fix memleak in file triggers

* Thu Jan 21 2016 tv <tv> 1:4.13.0-0.rc1.21.mga6
+ Revision: 926192
- fix %%autosetup not to cause errors during run of rpmspec tool (rhbz#1293687)

* Sun Jan 17 2016 tv <tv> 1:4.13.0-0.rc1.20.mga6
+ Revision: 924811
- fix recursive calling of rpmdeps tool (rhbz#1297557)
- add support for missingok file attribute

* Thu Jan 14 2016 tv <tv> 1:4.13.0-0.rc1.19.mga6
+ Revision: 923008
- use upstream fix for filetriggers in chroo

* Wed Jan 13 2016 tv <tv> 1:4.13.0-0.rc1.18.mga6
+ Revision: 922386
- simplify filetriggers-in-chroot fix

* Sun Jan 10 2016 tv <tv> 1:4.13.0-0.rc1.17.mga6
+ Revision: 920950
- fix accessing filetriggers indexes in chroot

* Sat Jan 09 2016 tv <tv> 1:4.13.0-0.rc1.16.mga6
+ Revision: 920682
- fix transaction file triggers not run in chroot (mga#17217)
- notice that this package is synced with FC

* Sun Nov 29 2015 tv <tv> 1:4.13.0-0.rc1.15.mga6
+ Revision: 907209
- enable to disable file triggers
- switch to pkgconfig() BRs

* Sun Nov 08 2015 tv <tv> 1:4.13.0-0.rc1.14.mga6
+ Revision: 898696
- fix crash when parsing corrupted RPM file (rhbz#1273360)
- fix SIGSEGV in case of old unsupported gpg keys (rhbz#1277464)

* Sun Nov 01 2015 tv <tv> 1:4.13.0-0.rc1.13.mga6
+ Revision: 897085
- ignore SIGPIPE signals during execucton of scriptlets (rhbz#1264198)

* Thu Oct 29 2015 tv <tv> 1:4.13.0-0.rc1.12.mga6
+ Revision: 896184
- sync patches with RH:
  o Fix reading memory right after the end of an allocated area (rhbz#1260248)
  o Add support for various dependencies to rpmdeps tool (rhbz#1247092)
  o If %%_wrong_version_format_terminate_build is 1 then terminate build in case
    that version format is wrong i. e. epoch is not unsigned integer or version
    contains more separators (":", "-"). %%_wrong_version_format_terminate_build
    is 1 by deafault (rhbz#1265700)
- BR dbus-devel for systemd inhibit plugin (mga#16950)

* Thu Oct 08 2015 philippem <philippem> 1:4.13.0-0.rc1.11.mga6
+ Revision: 887347
- Rebuild for Python3.5

* Thu Sep 17 2015 tv <tv> 1:4.13.0-0.rc1.10.mga6
+ Revision: 880163
- fix new rich dependency syntax
- rename cloberred %%configure as %%old_configure
- make %%autopach abort on missing patch

* Sat Sep 05 2015 tv <tv> 1:4.13.0-0.rc1.9.mga6
+ Revision: 873116
- submit to core/release
- drop patch 1008 (let's default to upstream XZ crc choice)

* Wed Sep 02 2015 tv <tv> 1:4.13.0-0.rc1.8.mga6
+ Revision: 872193
- 4.13.0 C1

* Fri Aug 28 2015 tv <tv> 1:4.12.90-8.mga6
+ Revision: 870747
- resolve some interpreters even if they're not in basesystem or in BRs
  (mga#16134)
- simplify: do interpreter requires blacklisting only once
- patch 0: sync with git, thus dropping 14 patches
  (6 FC ones + 8 MGA ones)

* Tue Aug 25 2015 tv <tv> 1:4.12.90-7.mga6
+ Revision: 869311
- patch 7002: allow having several "identical"trans file triggers

* Sun Aug 16 2015 tmb <tmb> 1:4.12.90-6.mga6
+ Revision: 865174
- dont obsolete lib(64)rpm* with major 3 as it breaks BS
- adapt lib(64)rpm3 conflict to match mga5 update rpm

* Mon Aug 10 2015 tv <tv> 1:4.12.90-5.mga6
+ Revision: 862378
- drop patch 111 (o more needed since rpm-4.6)
- fix python 3 support
- drop support for MIPS

* Fri Aug 07 2015 tv <tv> 1:4.12.90-4.mga6
+ Revision: 861512
- split the XZ patch into 2
- make geode appear as i686 (rhbz#517475)
- add RPM_LD_FLAGS to build environment (rhbz#728974)

* Fri Aug 07 2015 tv <tv> 1:4.12.90-3.mga6
+ Revision: 861501
- add --filetriggers option to show info about file triggers

* Wed Aug 05 2015 tv <tv> 1:4.12.90-2.mga6
+ Revision: 861242
- drop patch 22 (no more needed since rpm-4.9+)
  (side effect: %%preun faillure now mean uninstall faillure)
- if globbing of a filename fails, try use the filename without globbing.
  (rhbz#1246743)
- modify rpmIsGlob() to be more precise and compatible with glob().
- don't warn when an escaped macro is in a comment (rhbz#1224660)
- fix macros in comments
- explain some patches
- drop patch 3005 (testsuite now works OK)

* Sat Aug 01 2015 tv <tv> 1:4.12.90-1.mga6
+ Revision: 860282
- fix mga5 upgrade
- drop old filetriggers implementation now that upstream has one
  (see http://www.rpm.org/wiki/FileTriggers)
- switch from %%apply_patches to %%autopatch
- 4.13 alpha

* Sat Aug 01 2015 tv <tv> 1:4.12.0.1-23.mga6
+ Revision: 860239
- move plugins in main package (preps for 4.13 migration)
- revert r469312 (support for non Linux in spec)

* Fri Jul 03 2015 tv <tv> 1:4.12.0.1-22.mga6
+ Revision: 849634
- simplify using %%bcond_with*
- remove support for not building plugins
- drop patch 17 (was adding a -p option to gendiff that was only used by
  chmouel 15 years ago...)
- patch 135: drop it as upstream says it's bogus
- drop patch64 (we don't support mnb for quite some time and we don't
  even ship a mageia/rpmpopt anyway)
- deprecate %%apply_patches (use %%autopatch instead)
- document some patches

* Sun Jun 28 2015 tv <tv> 1:4.12.0.1-21.mga6
+ Revision: 846625
- fix --excludedocs option (rhbz#1192625)
- pass _find_debuginfo_opts -g to eu-strip for executables (rhbz#1186563)
- fix golang debuginfo packages (#1184221)
- add --whatrecommends and friends (rhbz#1231247)
- drop temporary band aid for early rpm-4.12 regression
  (all packages were rebuild after in mga5)
- drop fs check, we're living in a /usr world for several releases now
- kill patch 2100 (unused since rpm-setup is fixed)
  (another nice side effect of siding with FC/Suse)

* Sat Feb 14 2015 pterjan <pterjan> 1:4.12.0.1-20.mga5
+ Revision: 814948
- Don't fail the build when file reports to many notes in an ELF

* Fri Feb 06 2015 tv <tv> 1:4.12.0.1-19.mga5
+ Revision: 813738
- disable patch #3504 as it breaks SUID (mga#14691)

* Tue Feb 03 2015 colin <colin> 1:4.12.0.1-18.mga5
+ Revision: 813285
- Drop unnecessary warning mga#14971
+ ovitters <ovitters>
- use upstream patch for python3 import patch

* Sun Jan 25 2015 ovitters <ovitters> 1:4.12.0.1-17.mga5
+ Revision: 812204
- add patch to fix parseSpec with Python3
+ pterjan <pterjan>
- Fix variable used for source URL

* Fri Jan 23 2015 ovitters <ovitters> 1:4.12.0.1-16.mga5
+ Revision: 811986
- add debian patch to fix linking
- add python3 subpackage

* Mon Jan 19 2015 tv <tv> 1:4.12.0.1-15.mga5
+ Revision: 811456
- enhanced python bindings doc

* Thu Dec 11 2014 luigiwalser <luigiwalser> 1:4.12.0.1-14.mga5
+ Revision: 802704
- adapt redhat patches from rhel to fix CVE-2013-6435

* Thu Nov 13 2014 tv <tv> 1:4.12.0.1-13.mga5
+ Revision: 796716
- BR binutils-devel
- fix .gnu_debuglink CRC32 after dwz (rhbz#971119)

* Sat Nov 01 2014 tv <tv> 1:4.12.0.1-12.mga5
+ Revision: 795108
- skip ghost files in payload (rhbz#1156497)
- fix size and archice size tag generation on big-endian systems

* Thu Oct 23 2014 tv <tv> 1:4.12.0.1-11.mga5
+ Revision: 792552
- no more need for reverting pthread locking

* Sun Oct 19 2014 tv <tv> 1:4.12.0.1-10.mga5
+ Revision: 791609
- revert using pthread lock for logging (mga#14172)

* Wed Oct 15 2014 umeabot <umeabot> 1:4.12.0.1-9.mga5
+ Revision: 748731
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 tmb <tmb> 1:4.12.0.1-8.mga5
+ Revision: 738142
- Dont wait for transaction lock within scriptlets (RhBug:1135596)

* Tue Sep 30 2014 tv <tv> 1:4.12.0.1-7.mga5
+ Revision: 732818
- add filtering macros from FC

* Fri Sep 26 2014 tv <tv> 1:4.12.0.1-6.mga5
+ Revision: 724978
- fix parsing some perl package versions

* Fri Sep 26 2014 tv <tv> 1:4.12.0.1-5.mga5
+ Revision: 724819
- fix "Invalid version format (alpha without decimal)" for perl-Software-License
- typo fix (Luc Menut)

* Tue Sep 23 2014 tv <tv> 1:4.12.0.1-4.mga5
+ Revision: 721937
- replace file deps by requires on packages
- blacklist libsafe & libfakeroot like in old days

* Mon Sep 22 2014 tv <tv> 1:4.12.0.1-3.mga5
+ Revision: 718427
- blacklist /usr/bin/ocamlrun file requires (we already have "ocaml(runtime)")

* Thu Sep 18 2014 tv <tv> 1:4.12.0.1-2.mga5
+ Revision: 695866
- temporary band-aid for rpm2cpio whining on payload size mismatch (rhbz#1142949)

* Thu Sep 18 2014 tmb <tmb> 1:4.12.0.1-1.mga5
+ Revision: 695010
- update to 4.12.0.1

* Wed Sep 17 2014 pterjan <pterjan> 1:4.12.0-7.mga5
+ Revision: 693176
- Really rebuild with current version

* Wed Sep 17 2014 tv <tv> 1:4.12.0-6.mga5
+ Revision: 693171
- rebuild with itself now that requires are nicely computed

* Wed Sep 17 2014 tv <tv> 1:4.12.0-5.mga5
+ Revision: 693154
- really fix library provides/requires

* Wed Sep 17 2014 tv <tv> 1:4.12.0-4.mga5
+ Revision: 691307
- better fix for library require (w/o debuginfo requires)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.12.0-2.mga5
+ Revision: 687014
- Rebuild to fix library dependencies

* Tue Sep 16 2014 tv <tv> 1:4.12.0-1.mga5
+ Revision: 686484
- final release
- drop merged patches 4011 & 4013

* Tue Sep 16 2014 pterjan <pterjan> 1:4.12.0-0.rc1.6.mga5
+ Revision: 685056
- Generate ELF provides for libraries, not only for executables

* Sun Sep 14 2014 tv <tv> 1:4.12.0-0.rc1.5.mga5
+ Revision: 675467
+ rebuild (emptylog)

* Sun Sep 14 2014 tv <tv> 1:4.12.0-0.rc1.4.mga5
+ Revision: 675445
- fix requires

* Sun Sep 14 2014 tv <tv> 1:4.12.0-0.rc1.3.mga5
+ Revision: 675418
- make sure rpm-build pulls the right librpmbuild

* Sun Sep 14 2014 tv <tv> 1:4.12.0-0.rc1.2.mga5
+ Revision: 675243
- filter /bin/bash too (regression when switching to upstream script)
- use %%makeinstall_std

* Sat Sep 13 2014 tv <tv> 1:4.12.0-0.rc1.1.mga5
+ Revision: 674945
- fix self-provides
- better solution for RECOMMENDS with fallback on OLDSUGGEST:
  add RPMTAG_RECOMMENDNAME to extended tags
- resurrect payload and tilde rpmlib() dependencies
- new release (4.12.0 RC1):
  o all libraries now have the same major
  o BR pkgconfig(libarchive)
  o new tool: rpm2archive
- build plugins
- rediff patches 22, 83, 135, 146, 1007, 3005
- drop patch 31 (syslog support is now a plugin)
- drop patches 133 & 134, weak deps are now implemented upstream:
  (new weak deps implementation, the 3rd one)
  (old tags are renamed: SUGGESTS -> OLDSUGGEST)
  (new tags have different names: SUGGEST)
- patch 4010: make Recommends tag fallback to old suggests
  as it recommends was not used in mdv/mga, we were using SUGGESTS
  in RECOMMENDS place

* Fri Sep 12 2014 tv <tv> 1:4.11.3-2.mga5
+ Revision: 674891
- prepare switching from "external" to "internal" deps generator:
  o merge some mageia's perl.prov improvements back into upstream
  o merge mageia's find-requires.sh improvements back into upstream

* Sat Sep 06 2014 tv <tv> 1:4.11.3-1.mga5
+ Revision: 672469
- adjust file list
- new release
- fix building with plugins
- drop commented out patch (which is implemented differently in 4.12 anyway)
- drop "Requires: glibc >= 2.1.92" (mga has newer & glibc is autorequired)

* Sun Jul 27 2014 colin <colin> 1:4.11.2-7.mga5
+ Revision: 657571
- Implement support for prioritised filetriggers

* Tue Jul 01 2014 tv <tv> 1:4.11.2-6.mga5
+ Revision: 641727
- require fixed lua-5.2

* Mon Jun 30 2014 tv <tv> 1:4.11.2-5.mga5
+ Revision: 641668
- build with lua-5.2
- speedup testsuite by using eatmydata
+ pterjan <pterjan>
- Rebuild for new Python

* Fri May 09 2014 dmorgan <dmorgan> 1:4.11.2-3.mga5
+ Revision: 621327
- reduce the double separator spec parse error into a warning (RHBZ #1065563)

* Wed Feb 19 2014 tv <tv> 1:4.11.2-2.mga5
+ Revision: 594917
- submit to core/release

* Fri Feb 14 2014 tv <tv> 1:4.11.2-1.mga5
+ Revision: 591324
- new release

* Thu Feb 06 2014 tv <tv> 1:4.11.2-0.rc2.8.mga5
+ Revision: 584830
- new RC

* Tue Feb 04 2014 tv <tv> 1:4.11.2-0.rc1.8.mga5
+ Revision: 581966
- 4.11.2~rc1
- rediff patch 3000

* Fri Nov 15 2013 tv <tv> 1:4.11.1-8.mga4
+ Revision: 551382
- submit to core/release

* Wed Nov 13 2013 tv <tv> 1:4.11.1-7.mga4
+ Revision: 550967
- drop "fix aborting when ordering empty transactions" patch
  (rpm was fixed and perl-URPM-4.22+ no more create them anyway)
- fix yum segfaulting (mga#11621, Panu)

* Tue Oct 22 2013 umeabot <umeabot> 1:4.11.1-6.mga4
+ Revision: 546201
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 lmenut <lmenut> 1:4.11.1-5.mga4
+ Revision: 502275
- patch 4008: don't bytecompile python files in docdir

* Wed Oct 02 2013 colin <colin> 1:4.11.1-4.mga4
+ Revision: 490444
- Disable debuginfo extraction 'fix' as it breaks more than it fixes
- Do not use %%attr on symlinks

* Sat Sep 28 2013 tv <tv> 1:4.11.1-3.mga4
+ Revision: 488504
- sync weak deps with suse now that they've updated to 4.11.0 too (mga#11095)
+ colin <colin>
- Fix debuginfo extraction on some configurations

* Thu Aug 22 2013 kamil <kamil> 1:4.11.1-2.mga4
+ Revision: 469312
- be more generic with hardcoding linux specific configuration in the .spec

* Thu Jun 27 2013 tv <tv> 1:4.11.1-1.mga4
+ Revision: 447560
- new release

* Thu Jun 20 2013 tv <tv> 1:4.11.1-0.rc2.1.mga4
+ Revision: 445226
- RC2

* Tue Jun 11 2013 tv <tv> 1:4.11.1-0.rc1.3.mga4
+ Revision: 441933
- patch 1000: fix an upstream regression
- adapt to upstreap isNewDep() changes
- display testsuite errors when those happen
- fix testsuite regressions

* Mon Jun 10 2013 tv <tv> 1:4.11.1-0.rc1.2.mga4
+ Revision: 441839
- restore lost patch bits

* Mon Jun 10 2013 tv <tv> 1:4.11.1-0.rc1.1.mga4
+ Revision: 441834
- adjust file list
- new release

* Sun Feb 03 2013 tv <tv> 1:4.11.0.1-1.mga3
+ Revision: 394238
- reset mkrel

* Fri Feb 01 2013 tv <tv> 1:4.11.0.1-9.mga3
+ Revision: 393936
- new release
- drop patch 4004
- rediff patch 3500

* Tue Jan 22 2013 fwang <fwang> 1:4.11.0-0.beta1.9.mga3
+ Revision: 390713
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1:4.11.0-0.beta1.8.mga3
+ Revision: 380447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 tv <tv> 1:4.11.0-0.beta1.7.mga3
+ Revision: 337028
- switch debug packages from foobar-debug to foobar-debuginfo

* Sun Dec 23 2012 tv <tv> 1:4.11.0-0.beta1.6.mga3
+ Revision: 334395
- submit to core/release

* Tue Dec 18 2012 tv <tv> 1:4.11.0-0.beta1.5.mga3
+ Revision: 332644
- restore check for /usr move (was wrongly removed)

* Tue Dec 18 2012 tv <tv> 1:4.11.0-0.beta1.4.mga3
+ Revision: 332323
- fix abort while ordering empty transactions

* Mon Dec 17 2012 tv <tv> 1:4.11.0-0.beta1.3.mga3
+ Revision: 332188
- revert upstream debug -> debuginfo rename

* Mon Dec 17 2012 tv <tv> 1:4.11.0-0.beta1.2.mga3
+ Revision: 332169
- patch 83: plug memory leaks

* Mon Dec 17 2012 tv <tv> 1:4.11.0-0.beta1.1.mga3
+ Revision: 332065
- new release
- drop merged patches 3001 3500 4001 4002 & 4003
- rediff patches 83 & 145

* Sun Dec 09 2012 tv <tv> 1:4.10.2-1.mga3
+ Revision: 329045
- patch 4003: build fix
- new release
- drop patches 3503 & 4003 (merged)
- rediff patch 3002

* Thu Dec 06 2012 tv <tv> 1:4.10.1-6.mga3
+ Revision: 327271
- unbreak --setperms (RhBug:881835) (regression introduced in rpm >= 4.10
- make traversing rpmdb through NEVRA more robust

* Sat Dec 01 2012 wally <wally> 1:4.10.1-5.mga3
+ Revision: 324218
- restore and rediff patch 157 (introduce-_after_setup-which-is-called-after-setup.patch), calling rpmbuild or bm with option '--with git_repository' is broken without this patch

* Thu Oct 18 2012 tv <tv> 1:4.10.1-4.mga3
+ Revision: 308048
- enhance debugedit message

* Wed Oct 17 2012 tv <tv> 1:4.10.1-3.mga3
+ Revision: 307768
- upload to core/release

* Thu Oct 11 2012 tv <tv> 1:4.10.1-2.mga3
+ Revision: 304675
- patch 5303: fix hardlink checking regression

* Wed Oct 03 2012 tv <tv> 1:4.10.1-1.mga3
+ Revision: 302329
- new release
- rediff patch 3000
- requires xz instead of lzma

* Tue Aug 28 2012 tv <tv> 1:4.10.0-11.mga3
+ Revision: 284979
- rebuild for new binutils

* Sat Aug 04 2012 tv <tv> 1:4.10.0-10.mga3
+ Revision: 278429
- rebuild with compressed debug info
- re-enable testsuite

* Thu Aug 02 2012 tv <tv> 1:4.10.0-9.mga3
+ Revision: 277894
- rebuild with mini debug info

* Tue Jul 31 2012 tv <tv> 1:4.10.0-8.mga3
+ Revision: 276795
- patch 4000: merge find-debuginfo.sh changes from rpm-mageia-setup
- temporary disable test suite as the full build takes 5mn locally & on 32bits
  BS but 2 hours on jonud 64bit

* Tue Jul 31 2012 tv <tv> 1:4.10.0-7.mga3
+ Revision: 276745
- add "compressed" debug packages support

* Mon Jul 30 2012 tv <tv> 1:4.10.0-6.mga3
+ Revision: 276213
- add minidebug support
- build with db-5.3

* Fri Jul 20 2012 colin <colin> 1:4.10.0-5.mga3
+ Revision: 272737
- Add Fedora patch to add a new filesystem check for the usrmove

* Mon Jul 09 2012 dmorgan <dmorgan> 1:4.10.0-4.mga3
+ Revision: 268937
- Update rubygem patch ( from mandriva )

* Wed Jul 04 2012 rtp <rtp> 1:4.10.0-3.mga3
+ Revision: 267694
- fix testsuite
- fix filelist

* Thu Jun 28 2012 tv <tv> 1:4.10.0-2.mga3
+ Revision: 264615
- patch 133: fix segfaulting in "rpm -q --suggests foobar"

* Tue Jun 26 2012 tv <tv> 1:4.10.0-1.mga3
+ Revision: 264064
- fix & reenable testsuite

* Wed Jun 20 2012 tv <tv> 1:4.10.0-0.8.mga3
+ Revision: 262322
- drop patches:
  o 137, as there's no guaranty on the actual current encoding, we may
    return garbage and anyway mga has no l10n specs
  o 152: nss is now set at configure time
  o 1009 (rpm5 tags) as rpm-4.9+ doesn't choke on them
  o 2005, obsolete as rpm-4.8+ set LANG in %%___build_pre
- patch 2100: fix running testsuite when not having the uncompiled "magic" file
- rpmsign is only in rpmsign, not in main package too

* Tue Jun 12 2012 fwang <fwang> 1:4.10.0-0.3.mga3
+ Revision: 260027
- add conflicts on jpackage to ease upgarde

* Fri Jun 08 2012 tv <tv> 1:4.10.0-0.2.mga3
+ Revision: 257999
- fix filelist on ia32
- temporary disable testsuite due to an issue with the 'file' command
- bump conflicts with perl-URPM
- switch from db4.8 to db5.2
- patch 83: fix regression on doc conflict check; also reduces check overhead a little bit
- BR lua5.1-devel instead of lua-devel
- rediff patches 3002-4 (MIPS & ARM)
- annotate some patches
- drop (very) old post script for convertrpmr.sh
- rediff patches 3002-4 (MIPS & ARM)
- rediff patches 83 111 159 1009 2006
- patch 49 was merged upstream
- new release
- rediff weakdep patch
- drop merged FC patches
- drop merged patch 4000
- temporary disable patches 49, 83, 111, 145, 159, 1009, 2006

* Thu Apr 19 2012 dmorgan <dmorgan> 1:4.9.1.3-2.mga2
+ Revision: 231844
- Add upstream patch Warn but dont fail the build on STABS debuginfo (RhBug:725378, others)

* Thu Apr 05 2012 tv <tv> 1:4.9.1.3-1.mga2
+ Revision: 228572
- new release (pure security fixes)

* Tue Mar 13 2012 tv <tv> 1:4.9.1.2-22.mga2
+ Revision: 223263
- BR fakechroot, thus fixing all remaining testsuite issues (but a rpmspec
  faillure due to /etc/rpm/macros.d/20build.macros)

* Tue Mar 13 2012 tv <tv> 1:4.9.1.2-21.mga2
+ Revision: 223206
- merge patches 4103-4108 from FC:
  o fix memory corruption on rpmdb size estimation (#766260)
    (might help mga#4918):
  o fix couple of memleaks in python bindings (RH#782147)
  o fix regression in verify output formatting (RH#797964)
  o dont process spec include in false branch of if (RH#782970)
  o only warn on missing excluded files on build (RH#745629)
  o dont free up file info sets on test transactions
- patches 133, 1009: fix a testsuite regression

* Sat Mar 03 2012 tmb <tmb> 1:4.9.1.2-20.mga2
+ Revision: 217265
- restore P4000 as it's not causing the the out of memory errors

* Fri Mar 02 2012 dmorgan <dmorgan> 1:4.9.1.2-19.mga2
+ Revision: 216922
- Comment P4000, just to see if the regression saw is because of this

* Tue Feb 28 2012 tv <tv> 1:4.9.1.2-18.mga2
+ Revision: 215854
- simplify patch 70
- revert changes to patch 133, instead include missing extcond patch 134 (SuSE, mga#4012)
+ fwang <fwang>
- use configure2_5x

* Mon Feb 27 2012 tv <tv> 1:4.9.1.2-17.mga2
+ Revision: 215717
- fix rpm -q --suggests (mga#4012)
- patch 5000: switch back to former, much smaller BDB memory pool size (RhBug:752897)

* Tue Feb 07 2012 tv <tv> 1:4.9.1.2-16.mga2
+ Revision: 206214
- run testsuite

* Thu Jan 12 2012 tv <tv> 1:4.9.1.2-15.mga2
+ Revision: 195417
- patch 3004: unconditionally disable libio usage (mga#1962)
+ dmorgan <dmorgan>
- Fix ARM support ( rtp)
- Add back P3004: Fix ARM support

* Sat Dec 24 2011 dmorgan <dmorgan> 1:4.9.1.2-14.mga2
+ Revision: 187127
- Fix perms of script.req and elfdeps

* Fri Dec 23 2011 anssi <anssi> 1:4.9.1.2-13.mga2
+ Revision: 186888
- fix filetriggers that were broken by incomplete rediff of the patch for
  rpm 4.9 (filetriggers.patch)
+ dmorgan <dmorgan>
- Remove P5000, not usefull for us now

* Wed Dec 21 2011 dmorgan <dmorgan> 1:4.9.1.2-12.mga2
+ Revision: 185220
- Add %%epoch in Requires ( tks to boklm)

* Wed Dec 21 2011 dmorgan <dmorgan> 1:4.9.1.2-11.mga2
+ Revision: 185191
- Fix requires of the devel package

* Wed Dec 21 2011 blino <blino> 1:4.9.1.2-10.mga2
+ Revision: 185127
- fix perms of fileattrs directory (seems to break pkgconfig auto provides/requires)

* Tue Dec 20 2011 dmorgan <dmorgan> 1:4.9.1.2-9.mga2
+ Revision: 185086
- Rebuild in the BS
- Update to rpm 4.9.1.2 ( from work done on branch)
- Remove old sources

* Mon Nov 21 2011 dmorgan <dmorgan> 1:4.8.1-15.mga2
+ Revision: 170213
- Remove .la files

* Wed Nov 16 2011 jquelin <jquelin> 1:4.8.1-14.mga2
+ Revision: 168128
- another perl module required - this time for module::install powered dists

* Tue Nov 15 2011 jquelin <jquelin> 1:4.8.1-13.mga2
+ Revision: 167931
- perl(eumm) needs a recent CPAN::Meta to generate MYMETA files

* Mon Nov 14 2011 jquelin <jquelin> 1:4.8.1-12.mga2
+ Revision: 167751
- require a recent EUMM for perl in order to generate MYMETA files

* Sun Jun 19 2011 dmorgan <dmorgan> 1:4.8.1-11.mga2
+ Revision: 110107
- Add  File capability support

* Mon May 16 2011 dmorgan <dmorgan> 1:4.8.1-10.mga1
+ Revision: 99198
- Fix P147 to check for mageia too ( spotted by tvignaud )

* Sun Mar 27 2011 dmorgan <dmorgan> 1:4.8.1-9.mga1
+ Revision: 78198
- Fix previous commit
- Backport mdv commit 535522
  	- fix file trigger hang when several filetrigger scripts are run in parallel (mdvbz #57878)

* Fri Mar 18 2011 dmorgan <dmorgan> 1:4.8.1-8.mga1
+ Revision: 74203
- Add patch from rtp to fix build on arm (P3005)

* Fri Mar 04 2011 dmorgan <dmorgan> 1:4.8.1-7.mga1
+ Revision: 64225
- Really fix filetriggers

* Fri Mar 04 2011 dmorgan <dmorgan> 1:4.8.1-5.mga1
+ Revision: 64206
- Use texlive instead of tetex
- Fix file triggers

* Wed Mar 02 2011 dmorgan <dmorgan> 1:4.8.1-4.mga1
+ Revision: 62722
- Add a comment about patch64
- Add a comment about patch31 sent upstream
- As patch17 have been previously dropped, remove it from the spec file
- Change syslog patch and use the one sent upstream

* Tue Mar 01 2011 dmorgan <dmorgan> 1:4.8.1-3.mga1
+ Revision: 62080
- Drop old patch17
  Signed-off-by: cfergeau
  Signed-off-by: tvignaud

* Tue Mar 01 2011 dmorgan <dmorgan> 1:4.8.1-2.mga1
+ Revision: 62040
- Readd rpm-4.8.1-setup-rubygems.patch ( candidate for upstream )

* Thu Feb 24 2011 dmorgan <dmorgan> 1:4.8.1-1.mga1
+ Revision: 59113
- Add comment about patch17 that is a candidate for a drop
- Add exit to not build rpm for now
- Fix spec file ( from tv work)
- Comment release to be sure we do not upload rpm w/o a working perl-RPM4
- Remove patch 1017, to not diverge from main rpm.org regarding version comparison
- Restore rpm.org behaviour for %%exclude
- Update to rpm 4.8.1
- Fix typo
- Update to rpm 4.8 ( from cfergeau work )
+ tmb <tmb>
- read rpmrc and rpmpopt from /usr/lib/rpm/mageia/
+ blino <blino>
- add back manbo-rpmrc patch in SOURCES (thanks rtp)
- use _real_vendor macro
- revert manbo drop, it breaks many things (and builds packages as i386 on i586), we need to merge manbo files instead of dropping them

* Wed Jan 19 2011 tmb <tmb> 1:4.6.1-9.mga1
+ Revision: 24931
- hardcode mageia as distro name for now in order to force dropping requirements on rpm-manbo-setup-*
- drop P64, as it's manbo specific

* Mon Jan 17 2011 blino <blino> 1:4.6.1-8.mga1
+ Revision: 20921
- rebuild with new python

* Sun Jan 09 2011 blino <blino> 1:4.6.1-7.mga1
+ Revision: 3665
- rebuild with rpm-mageia-setup

* Sun Jan 09 2011 blino <blino> 1:4.6.1-6.mga1
+ Revision: 3615
- put the lowercase distro name in a macro (mandriva for now, as long as
  rpm-mageia-setup is not available, which needs an updated rpm)
- rebuild with rpm-mandriva-setup for now
- update rpmbuild unpackaged files check for mga
+ tmb <tmb>
- drop rpm tags
- rename mandriva to mageia
- remove support for old mandriva versions
- remove vendor checks (was only needed for Manbo labs)
- imported package rpm


* Sat Jan  8 2011 Thomas Backlund <tmb@mageia.org> 1:4.6.1-6.mga1
- initial import
- switch from manbo_mkrel to mkrel

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 1:4.6.1-5mnb2
+ Revision: 601652
- rebuild for liblzma 5

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1:4.6.1-4mnb2
+ Revision: 589999
- rebuild for python 2.7

* Mon Oct 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:4.6.1-3mnb2
+ Revision: 586616
- automatically handle ruby gem extraction in %%setup

* Thu Oct 07 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:4.6.1-2mnb2
+ Revision: 583901
- fix regression introduced with %%exclude change in previous release (fixes #61207)

* Wed Sep 29 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:4.6.1-1mnb2
+ Revision: 582007
- add '~' suffix to backup files created when using %%apply_patches
- finally put copyright & serial tags to death for real
- reapply fix for rmpvercmp with missing values & conflicts behaviour fix(#55810)
- update to to more recent debugedit that handles '.debug_pubtypes' section
- "New" release: 4.6.1 (while awaiting decission on where to go next...)
- fix %%exclude's behaviour to *only* mean exclude from %%files, not from check
  of unpackaged files. This brings back the behaviour we had in the past with
  rpm 4.4.8, and will require files not to be packaged to be deleted in %%install,
  and breaks building of any packages which incorrectly uses %%exclude for this
  purpose. Please fix any packages doing so! (P1016)

* Fri Aug 20 2010 Christophe Fergeau <cfergeau@mandriva.com> 1:4.6.0-15mnb2
+ Revision: 571456
- drop Pascal's patch for now
- fix "canonicalization unexpectedly shrank by one character" errors, patch by Anssi
- drop patch 135 which looks dubious
- revert previous commit, we don't want to diverge too much from rpm 4.x, we can
  readd it *after* this patch is upstreamed in rpm 4.x

  + Pascal Terjan <pterjan@mandriva.org>
    - Refuse to build a rpm with 2 identical triggers (#60699)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - reapply fix for #55i810 (if not fully comprehended, those of us who wrote it
      does, ao removing out of ignorance and lack of insight will not e tolerated.

* Mon May 17 2010 Christophe Fergeau <cfergeau@mandriva.com> 1:4.6.0-14mnb2
+ Revision: 544968
- use db 4.8
- fix default perms in debug packages, #59083

  + Pascal Terjan <pterjan@mandriva.org>
    - Check chroot return code before running external script
    - Check chroot return code before running lua script

* Fri Apr 16 2010 Christophe Fergeau <cfergeau@mandriva.com> 1:4.6.0-12mnb2
+ Revision: 535522
- fix file trigger hang when several filetrigger scripts are run in parallel (#57878)

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against nss-3.12.6

* Wed Feb 17 2010 Christophe Fergeau <cfergeau@mandriva.com> 1:4.6.0-10mnb2
+ Revision: 507168
- don't diverge from upstream wrt EVR comparisons

* Tue Feb 16 2010 Funda Wang <fwang@mandriva.org> 1:4.6.0-9mnb2
+ Revision: 506733
- rebuild for libpopt file path change

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix broken bitwise operator usage (thx to anssi for noticing)
    - do a new fix for #55810 that doesn't cause same regressions as the previously
      revert fix and hopefully no other regressions either.. ;)
      (P1010, http://rpm5.org/community/rpm-devel/4011.html)

* Fri Nov 20 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:4.6.0-8mnb2
+ Revision: 467682
- revert previous change as it'll break == dependencies on version only
  (which even requires-on-release policy requires) :/

* Fri Nov 20 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:4.6.0-7mnb2
+ Revision: 467652
- don't skip release comparision when checking conflicts if release value is
  missing (P1011 from Jeff Johnson, fixes #55810)

  + Michael Scherer <misc@mandriva.org>
    - fix unowned directory, reported by bitshuffler on irc, causing problem
      when installing rpm and using the wrong umask

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 1:4.6.0-6mnb2
+ Revision: 448653
- remove n32 support for now (not actually used)
- handle n32 ABI in find-requires and find-provides (from Arnaud Patard)
- switch to armv5tl (from Arnaud Patard)
  There are little chances that we'll have armv4tl. Doesn't use
  armv5tel as some SoC have broken instructions in the "e" extension
- fix %%_isa rpm macros for ARM (from Arnaud Patard)
- mips build fixes: define __isa* macros otherwise rpm doesn't work
  (from Arnaud Patard)
- fix stack-protector check: -fstack-protector doesn't error if it's
  not supported but issues a warning, building test case with -Werror
  the test case fixes the issue (from Arnaud Patard)
- add %%mips macro define all mips abi (from Arnaud Patard)

* Sun Aug 23 2009 Anssi Hannula <anssi@mandriva.org> 1:4.6.0-5mnb2
+ Revision: 419760
- fix ignored Requires(pre) and (post) when they have a plain Requires
  counterpart (rpm-fix-corequisites.patch backported from upstream 4.7.1)
- fix legacy prereq detection (rpm-fix-islegacyprereq.patch backported
  from upstream 4.7.1)
- map prereq to Requires(pre,preun) instead of nothingness when building
  (rpm-map-prereq.patch backported from upstream 4.7.1)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - Avoid adding Lua sources/patches twice when recursing (P1010, git backport)

* Fri Jul 24 2009 Anssi Hannula <anssi@mandriva.org> 1:4.6.0-4mnb2
+ Revision: 399298
- fix filetriggers to be called on package removal as well (regression
  introduced in 4.6.0 package because of an error in rediffing of
  filetriggers.patch; fixes bug #52333)

* Tue Jun 30 2009 Thierry Vignaud <tv@mandriva.org> 1:4.6.0-3mnb2
+ Revision: 391017
- bump release so that cooker's rpm is newer than 2009.1's one

* Thu Jun 11 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:4.6.0-2mnb2
+ Revision: 385093
- add missing calls to rpmluaPop to patch 159, might fix #50579
- Revert switch to db4.7

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - Expose packagecolor tag and add new tags from rpm5 as rpm otherwise will break
      when these unknown tags might be found in the rpmdb. Notice that this will only
      make rpm recognize these, not implement actual support for them.. (P1008)
    - build against bdb 4.7
    - build against db4.7 rather than db4.6 from now on

  + Arnaud Patard <apatard@mandriva.com>
    - define apply_patches if not already done. This fix bootstrapping issues
      (eg building current rpm on older rpm or building rpm on a system without
      rpm)
    - fix dependency on patch as rpm-build is now using "patch -U" which has
      been introduced in version 2.5.9-7mdv2009.1.

* Fri Feb 13 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:4.6.0-1mnb2
+ Revision: 340115
- Update to rpm 4.6.0

* Thu Jan 29 2009 Pixel <pixel@mandriva.com> 1:4.6.0-0.rc3.7mnb2
+ Revision: 335221
- add %%apply_patches: it can be used to replace all "%%patchN" lines,
  but it forces all patches to be "-p1".
- call %%_patch and %%_after_setup for use in rpm-mandriva-setup-build
  (useful for "--with git_repository")

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - don't wipe out $DOCDIR when using %%doc as it will wipe out any files that would
      happen to be installed during %%install. (P1008)

* Tue Jan 20 2009 Pixel <pixel@mandriva.com> 1:4.6.0-0.rc3.6mnb2
+ Revision: 331759
- replace nss-inithack patch with upstream patch
  (which is more complete, esp fixes rpmresign in perl-RPM4)
- add patch fixing rpmdsMerge on rpmdsSingle (fixes 07dep.t in perl-RPM4)
- fix segfault triggered by perl-RPM4 tests

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix internal enum value for xz (noticed by jnovy, thx!)
    - oops, fix a minor glitch with a final api change
    - add versioned requires on liblzma-devel since we *really* need latest api
      changes :)
    - update lzma payload support to add support for new xz format in parallel(P1007)

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 1:4.6.0-0.rc3.5mnb2
+ Revision: 318370
- temporarily disable graphviz BR

  + Michael Scherer <misc@mandriva.org>
    - rebuild for new python

  + Pixel <pixel@mandriva.com>
    - add conflict on urpmi-recover since rpm 4.6.0 dropped support for --repackage

* Thu Dec 18 2008 Pixel <pixel@mandriva.com> 1:4.6.0-0.rc3.3mnb2
+ Revision: 315608
- add patch153: "fix" segfault in mdkapplet (#46323)
- add patch154: fix compilation with Werror=format-security
- merge patch91 (check-dupl-files) into patch111 (check-files fix for "//" in buildroot)

* Mon Dec 15 2008 Pixel <pixel@mandriva.com> 1:4.6.0-0.rc3.2mnb2
+ Revision: 314562
- enable sqlite (was disabled after rpm-4.6.0 switch)

* Fri Dec 12 2008 Pixel <pixel@mandriva.com> 1:4.6.0-0.rc3.1mnb2
+ Revision: 313584
- 4.6.0-rc3
- drop patch153 (buildroot-subpackage), fixed upstream

* Thu Dec 11 2008 Pixel <pixel@mandriva.com> 1:4.6.0-0.rc2.2mnb2
+ Revision: 312890
- rediff patch71, patch83, patch91, patch140, patch145, patch147, patch1005
- fix patch2002 (python-writeHdlist), was broken with rpm 4.6 API

* Tue Dec 09 2008 Pixel <pixel@mandriva.com> 1:4.6.0-0.rc2.1mnb2
+ Revision: 312303
- use %%configure (so that libdir is correctly on x86_64)
- 4.6.0-rc2
- add patch152: fix build
- add patch153: buildroot with subpackages issue
- drop already unused %%buildnptl (obsolete since rpm uses system libdb)
- drop patch134 (defaultbuildroot), so %%defaultbuildroot is no more used,
  global %%buildroot is used, and BuildRoot is no more handled
- drop patch56 (ppc32). hopefully now unneeded
- drop patch44 (amd64-x86_64 compat). hopefully now unneeded
- drop patch112 (dont-use-rpmio-to-read-file-for-script), only needed on rpm 4.4.8?
- drop patch1002 (default-topdir--usr-src-rpm). it is now /root/rpmbuild
- drop patch1003: drop support for "suggests" the way rpm >= 4.4.7 do it
  (all Mandriva packages uses the new "suggests" nowadays)
- drop patch139 (do-not-allow-fileconflict-between-non-colored-file),
  since partially applied upstream (47c85270631de173d873b98bc79727e2db203007)
- drop popt (it is no more internal), drop patch1004, patch2004
- drop patch3 ("file" is no more internal)
- drop patch149 (upstream has already got rid of internal db)
- drop patch1450 (problem fixed upstream, though differently)
- drop patch132 (extcond), patch133 has been simplified (butchered) to work without it
- drop patch1133 (integrated in patch133 (weakdeps))
- drop patch100 (rpmbuild-missing), no more needed since we have rpmb_deprecated
- drop patch142, patch143, patch144, patch150 applied upstream
- simplify patch1001 since most is upstream, create patch1006 containing the
  PayloadIsLzma compat issue
- adapt patch137 (headerIconv)
- adapt patch31 (syslog)
- adapt/simplify patch114: only specifically read macros.d/*.macros
- adapt patch2000, patch2001 (serial/copyright tag)
- adapt patch133 (weakdeps), drop --suggests/--recommends difference
- rediff patch49, patch64, patch70, patch141, patch146, patch147, patch148,
  patch151, patch2002, patch2005

* Sun Oct 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:4.4.2.3-22mnb2
+ Revision: 295367
- rebuild against liblzma which I had to bump the major of yet again
- actually remember to bump popt release as well this time (popt should REALLY
  be split out!!!)

* Sat Oct 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:4.4.2.3-21mnb2
+ Revision: 294824
- fix build with new liblzma (updates P1001)

  + Pixel <pixel@mandriva.com>
    - failing triggers must not block an update (otherwise both packages are kept)

* Wed Oct 01 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-20mnb2
+ Revision: 290443
- protect-against-non-robust-futex patch: remove the ugly error messages
  when non-root

* Wed Oct 01 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-19mnb2
+ Revision: 290325
- ensure stale futex locks do not block (#41868)

* Thu Sep 11 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-18mnb2
+ Revision: 283690
- fix broken cpio for hardlink on softlink (#43737)
- remove /usr/lib/libpopt.so.0 symlink (unneeded)

* Sat Sep 06 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-17mnb2
+ Revision: 281842
- use external libdb-4.6.so instead of internal one (was DB 4.3.27: December 22, 2004).
  (hopefully fixing #41868)

* Tue Aug 26 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-16mnb2
+ Revision: 276212
- add patch148 which ensures chroot errors are not ignored
  (the bug occured on mandriva build system, the files
  were installed on the non rooted system)

* Tue Aug 05 2008 Frederic Crozat <fcrozat@mandriva.com> 1:4.4.2.3-15mnb2
+ Revision: 263799
- bump popt release too
- Bump minimal version of rpm-mandriva-setup, to ensure filetriggers
  are enabled during upgrade from older distributions

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1:4.4.2.3-14mnb2
+ Revision: 237798
- bump release for popt as well
- fix deps and rebuild against latest neon-devel

* Fri Jul 04 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-13mnb2
+ Revision: 231680
- fix memory leak in patch124 (regression introduced on 2008-06-23)
- fix detecting wether filetriggers are activated (through %%_filetriggers_dir)

* Thu Jun 26 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-12mnb2
+ Revision: 229317
- fix --testing errors introduced by filetriggers

* Tue Jun 24 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-11mnb2
+ Revision: 228550
- nicely handle /etc/rpm/macros.cdb disappearance (esp. for people having %%_dbapi set there)

* Mon Jun 23 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-10mnb2
+ Revision: 228082
- enhance patch124 to use "Dirnames" db before using "Packages" db
  (hence much less db accesses in the pathological "COPYING" case)
- rpm must feature PayloadIsLzma = 4.4.2-1 to be the most compatible (?!)
  (with SuSE, and with temporary cooker packages with PayloadIsLzma <= 4.4.2.2-1)

* Sun Jun 22 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-8mnb2
+ Revision: 227894
- PayloadIsLzma version must be at least 4.4.6-1 to be compatible with mdv2008.0
- fix segfault when transaction fails

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-7mnb2
+ Revision: 227396
- drop our old macros.cdb, which was forcing old values,
  esp "verify" which forcing rpm to verify db after each changes
  (which was making rpm quite slow when rpmdb was not in cache)
- cleanup: drop not applied global-RPMLOCK patch

* Thu Jun 19 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-6mnb2
+ Revision: 226213
- fix filetriggers (librpm was exiting in case of sigpipe in filetrigger script)
- checks on "non packaged binary packages" now depend on %%_missing_subpackage_terminate_build (patch147)
- checks on "non packaged binary packages" only done on "mdv" packages (patch147)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix version typo
    - switch to use liblzma for lzma payload (P1000, partly derived from rpm5.org & OpenSuSE)

* Wed Jun 11 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-4mnb2
+ Revision: 218093
- rpmbuild: add patch to ensure some parse errors are really fatal as they should

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-3mnb2
+ Revision: 217217
- add new fatal errors (during package build):
  o disallow scriptlets for non packaged binary packages
  o "%%files foo" for subpackages is now mandatory
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
- replace "%%post -p ldconfig" hack with a full featured generic solution:
  filetriggers (cf http://wiki.mandriva.com/en/Rpm_filetriggers)
- "#%%define foo bar" is now a fatal error
- handle "%%posttrans -p ..." with no script body (eg: %%posttrans -p /sbin/ldconfig)
- add "requires tar" in rpm-build
- fix build of debugedit (patch143)

* Tue May 13 2008 Thierry Vignaud <tv@mandriva.org> 1:4.4.2.3-1mnb2
+ Revision: 206778
- fix build on x86_64

  + Pixel <pixel@mandriva.com>
    - 4.4.2.3
    - add patch142 which ensures chroot errors are not ignored
      (the bug occured on mandriva build system, the files from package binutils
      were installed on the non rooted system)
    - drop patches applied upstream: 136, 138
    - rediff patch17

* Tue Apr 01 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-0.rc1.7mnb1
+ Revision: 191469
- postpone and group ldconfig %%post in %%posttrans instead of wrongly skipping ldconfig

* Fri Mar 28 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-0.rc1.6mnb1
+ Revision: 190842
- rebuild with fixed libneon0.26-devel

* Mon Mar 17 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-0.rc1.5mnb1
+ Revision: 188330
- add support for "suggests" and "enhances" in rpmds (needed for "sophie") (nanardon)
- use %%_vendor instead of %%vendor (thanks-to/required-by nanardon)
- fix typo in recent commit
- fix broken symlink (due to %%rpmversion != %%srcver for rc1)
- trivial fix for Russian translation (#38713)

  + Toshihiro Yamagishi <toshihiro@turbolinux.co.jp>
    - get rid of _host_vendor definition. It should be defined by rpm-xxx-macros.
    - use original find-requires,find-provides,find-lang when build with turbolinux.

* Sat Mar 01 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-0.rc1.3mnb1
+ Revision: 177474
- fix file conflicts wrongly allowed on x86_64
- when dropping requires during tsort, do not display "PreReq" when it really is "Requires"
- rpm-mandriva-setup and rpm-mandriva-setup-build requires are only on Mandriva
- add buildlang patch which unsets locales when building packages (for Turbolinux)

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Thu Feb 14 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-0.rc1.2mdv2008.1
+ Revision: 167788
- use rpmrc and rpmpopt from rpm-manbo-setup
- get best lang from rpm HEADERI18NTABLE, instead of getting first fuzzy match
  (eg: zh_TW matches zh_CN whereas zh_TW entry is available)
- debugedit: remove a wrong check in case %%_topdir is /RPM (from Turbolinux)
- add japanese popt translations
- add Turbolinux specific patches:
  o re-allow "Serial" and "Copyright" (aliases of "Epoch" and "License")
    (to ease Turbolinux migration)
  o add writeHeaderListTofile function into python binding
    (needed by Turbolinux buildman build system)

  + Toshihiro Yamagishi <toshihiro@turbolinux.co.jp>
    - headerIconv.patch: check realloc() value
    - convert the data to a specific encoding which used in the selected locale.

* Mon Jan 28 2008 Pixel <pixel@mandriva.com> 1:4.4.2.3-0.rc1.1mdv2008.1
+ Revision: 159090
- 4.4.2.3 adds ix86 macros files to x86_64
- new release 4.4.2.3-rc1
- libpopt needs a release number different from rpm so that we can reset rpm's
  release and increase libpopt's
- drop applied patches: patch82 (ordering), patch98 (bad pointer),
  patch108 (dgettext), patch116 (qv), patch119 (without-O2),
  patch121 (timeout 60secs), patch127 (rpmbuild --quiet),
  patch128 (rpm -K segfault), patch136 (macro on last line),
  patch1006 (triggerprein), patch1007 (russian),
  patch1008 (display Requires found),
- drop patch135 (truncated rpmProblemString): no more needed, workarounded
  upstream

* Wed Jan 23 2008 Pixel <pixel@mandriva.com> 1:4.4.2.2-7mdv2008.1
+ Revision: 157054
- fix rpmbuild not printing Requires after build (fix backported from 4.4.8) (#36672)
- allow doc conflict in same transaction (#37040)
  (it was already allowed in different transactions)
- fix russian translation (#36974)

* Sat Jan 12 2008 Anssi Hannula <anssi@mandriva.org> 1:4.4.2.2-6mdv2008.1
+ Revision: 149522
- allow conflicting ghost file types as sometimes the same ghost file
  is a file in one package and a symlink in another package (modifies
  rpm-4.4.2.2-allow-conflicting-ghost-files.patch)

* Tue Jan 08 2008 Pixel <pixel@mandriva.com> 1:4.4.2.2-5mdv2008.1
+ Revision: 146377
- %%triggerprein were missing in 4.4.2.2, adding them

* Thu Dec 20 2007 Pixel <pixel@mandriva.com> 1:4.4.2.2-4mdv2008.1
+ Revision: 135996
- fix multiline macro handling on last line of spec file (#27417)
- fix truncated "file conflict" error message in russian (#31680)

* Tue Dec 18 2007 Pixel <pixel@mandriva.com> 1:4.4.2.2-3mdv2008.1
+ Revision: 132430
- re-introduce temporarily BuildRoot so that rpm builds
- drop patch for SOURCEPACKAGE (unneeded in rpm 4.4.2.2 which keeps compatibility)
- fix defaultbuildroot patch (fix building with %%defaultbuildroot and subpackages)
- allow conflicting %%ghost files (as used to be in rpm >= 4.4.6)
- modify patch no-doc-conflicts instead of patching it
- for compatibility with rpm 4.4.8, allow conflicting doc files in
  /usr/share/man, /usr/share/gtk-doc/html /usr/share/gnome/html

* Mon Dec 17 2007 Pixel <pixel@mandriva.com> 1:4.4.2.2-2mdv2008.1
+ Revision: 125038
- patch134 introduces %%defaultbuildroot to use instead of %%buildroot in our global macros
- keep libpopt.so versioning from 4.4.8 (to avoid warnings)
- fix URL
- switch to 4.4.2.2 (using epoch: 1)
- add patch132 and patch133 to handle "Suggests" via RPMTAG_SUGGESTSNAME
- add patches to be compatible with >= 4.4.8 :
  o patch1000: handle %%buildroot macro
  o patch1001: handle suggests via RPMTAG_REQUIRENAME + RPMSENSE_MISSINGOK
  o patch1001: lzma-support (integrates patch130 (lzma-fixes), patch131 (lzma_alone))
  o patch1002: default %%_topdir is /usr/src/rpm
  o patch1003: handle RPMSENSE_MISSINGOK (integrates patch129 (do-not-cache-unsatisfied-suggest))
- drop unneeded patches:
  o applied: patch63 (applied in lib/package.c), patch68, patch72,
    patch77 (%%_srcdefattr), patch92 (newtar), patch94 (rpmv3-support),
    patch113 (%%_docdir_fmt), patch123 (find-lang omf)
  o patch1 (no builtin zlib)
  o patch2 (rpm is dynamically linked by default)
  o patch85 (no more perl module)
  o patch87 (was disabling dirname require introduced in 4.4.6)
  o patch89 (>= 4.4.6 specific compilation issue)
  o patch107 (fixed differently in changeset 6799:446988cfb9c1)
  o 4.4.8 specific: patch109, patch117 (dont-replace-config-not-in-db),
    patch118 (lowercase platform), patch120 (segfault fix), patch122 (fix
    crash with buggy rpm and FILELINKTOS), patch125 (popt.h fix), patch126
    (platform32 support)
  o 4.4.8 specific?: patch115 (dont-clean-buildroot-in-install)
- adapt patches:
  o rediff: patch31 (syslog), patch64 (vendor popt), patch84 (rpmqv-ghost),
    patch116 (qv-use-same-indentation), patch49, patch56, patch82, patch86,
    patch112, patch119
  o patch3 (prefer-pic in "file" lib .la)
  o patch17 (keep enhancements from upstream version)
  o patch114 (read our macros files)
  o patch124 (speedup-by-not-checking-same-files-with-different-paths-through-symlink)
    and add patch1124 (revert-unused-skipDir-functionality) needed by patch124
- use autoreconf and don't do it in db/dist (it fails)
- drop perl-RPM (unused and no more in rpm 4.4.2.2)
- drop now unneeded perldirs patch85
- don't build apidocs since we don't bundle them
- drop patch78 (Do not use futex, but fcntl) which is not doing anything anymore

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - use LZMA_Alone file format, even with newer versions (P131, from cvs)
    - be more consistent and use unlzma in stead of lzma -d -c in rpm2cpio.sh (lzma patch)
    - drop unused leftover macros for lzma patch..
    - final fix of lzma payload patch, it can now be used properly same way as gzip and bzip2
    - correctify lzma fix patch
    - switch to patch from cvs for lzma fixes
    - update arguments for lzma utils as current old arguments breaks it
    - I suck, don't move man pages around at all and stop messing:p
    - move man page for perl module to perl-RPM package

  + Olivier Blin <oblin@mandriva.com>
    - do not expand _install_langs macro in default /etc/rpm/macros
    - fix typo in default /etc/rpm/macros
    - explicitely require neon-devel 0.26 (does not build with neon 0.27)

* Tue Oct 02 2007 Pixel <pixel@mandriva.com> 4.4.8-22mdv2008.0
+ Revision: 94448
- fix rpm allowing to remove a package which is both suggested and required (#34342)

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 4.4.8-21mdv2008.0
+ Revision: 93603
- remove global RPMLOCK, it doesn't seem to fix rpmdb issues, and may cause
  installer to crash

* Thu Sep 27 2007 Pixel <pixel@mandriva.com> 4.4.8-20mdv2008.0
+ Revision: 93272
- patch global-RPMLOCK:
  o fix rebuilddb (#34181)
  o don't lock when querying the db as non-superuser
  o fix locking in shared mode (ie fix typo)
  o remove message "RPMLOCK_NOWAIT should have been set!"
    which can't be done reliably
  o more debug messages about RPMLOCK

* Wed Sep 26 2007 Pixel <pixel@mandriva.com> 4.4.8-19mdv2008.0
+ Revision: 93120
- patch global-RPMLOCK:
  o allow rpm to not wait on lock when RPMLOCK_NOWAIT is set
  o ensure we don't have a dead-lock in package scriptlets which call "rpm -q"
    (eg: dkms). but it will die with an error
  o do create /var/lib/rpm directory when needed (as done in rpmdb/db3.c)
  o use flock instead of fcntl+F_SETLK
    (so that we really ensure the same process doesn't open twice the db)
  (still need not to lock when accessing in shared mode with not enough rights
  to write RPMLOCK)
- fix creating /RPMLOCK instead of /var/lib/rpm/RPMLOCK

* Mon Sep 24 2007 Pixel <pixel@mandriva.com> 4.4.8-18mdv2008.0
+ Revision: 92580
- do not use __db* files anymore, make them private
- (re-)add a global lock to ensure everything is correct
  (to ensure doing "rpm -qa" is always correct even if an upgrade is in
  progress)
- fix rpm -K segfaulting on corrupted header (#33735)

* Mon Sep 10 2007 Pixel <pixel@mandriva.com> 4.4.8-17mdv2008.0
+ Revision: 84150
- make "rpm -bb --quiet" quiet as should be

* Thu Sep 06 2007 Pixel <pixel@mandriva.com> 4.4.8-16mdv2008.0
+ Revision: 81086
- bug fix release, fix stupid typo in /etc/platform32 reading patch

* Thu Sep 06 2007 Pixel <pixel@mandriva.com> 4.4.8-15mdv2008.0
+ Revision: 80965
- really allow to use "linux32 rpm -bb" instead of "linux32 rpm -bb --target x86_64"
  (it uses /etc/rpm/platform32)

* Wed Sep 05 2007 Pixel <pixel@mandriva.com> 4.4.8-13mdv2008.0
+ Revision: 79852
- allow to use "linux32 rpm -bb" instead of "linux32 rpm -bb --target x86_64"
  (for this to work, %%{_host_cpu32} must be set in rpm-mandriva-setup)

* Thu Aug 30 2007 Pixel <pixel@mandriva.com> 4.4.8-12mdv2008.0
+ Revision: 75298
- fix popt.h (remove N_) (#31397)

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 4.4.8-11mdv2008.0
+ Revision: 74355
- add patch to speedup simple "rpm -e" or "rpm -U"
- make find-lang --with-gnome picks up omf files (rhbz#251400) (rpm.org patch)
- add the bug number fixed

* Tue Aug 21 2007 Pixel <pixel@mandriva.com> 4.4.8-10mdv2008.0
+ Revision: 68566
- patch fixing parse_hdlist (and so genhdlist2) on heavy loaded boxes
- fix segfault on weird rpm that used to work (#32102)
- remove recursive %%_mandir (and don't keep it, it's not needed anymore)

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%{_datadir}/man by %%{_mandir}!
    - replace %%_datadir/man by %%_mandir!

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 4.4.8-9mdv2008.0
+ Revision: 65549
- don't provide these files twice:
 /usr/lib/rpm/rpmdb_deadlock
 /usr/lib/rpm/rpmdb_dump
 /usr/lib/rpm/rpmdb_load
 /usr/lib/rpm/rpmdb_loadcvt
 /usr/lib/rpm/rpmdb_stat
 /usr/lib/rpm/rpmdb_svc
 /usr/lib/rpm/rpmdb_verify
 they are now only provided in the main rpm package, and not
 also in the devel package. that is the way to go according to
 jbj.

  + Thierry Vignaud <tv@mandriva.org>
    - fix URL

* Mon Aug 06 2007 Pixel <pixel@mandriva.com> 4.4.8-8mdv2008.0
+ Revision: 59505
- do not use nptl on any arch (since x86_64 specific issues seem to disappear
  when using same locking mechanism as x86) (may fix #32102)
- fix segfault occuring with some old rpm v3 from urpmi test cases
- allow building --with debug
- restore do-check-free-size-when-bavail-is-0 patch (after rediff)

* Wed Jul 25 2007 Olivier Thauvin <nanardon@mandriva.org> 4.4.8-7mdv2008.0
+ Revision: 55450
- fix #31535: lowercase OS tag to compare against platform
- use upstream patch

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add requires on lzma

* Fri Jul 06 2007 Olivier Thauvin <nanardon@mandriva.org> 4.4.8-6mdv2008.0
+ Revision: 48984
- fix config file replace when not yet in db
- kill not bad macros definition
- find-lang is now a perl script

* Fri Jun 22 2007 Anssi Hannula <anssi@mandriva.org> 4.4.8-5mdv2008.0
+ Revision: 42672
- require arch-specific libpopt and libpopt-devel
- add back dropped librpm-devel and libpopt-devel provides

* Wed Jun 20 2007 Olivier Thauvin <nanardon@mandriva.org> 4.4.8-4mdv2008.0
+ Revision: 41943
- fix buildreq for autoconf/automake
- apply new devel policy

* Tue Jun 19 2007 Olivier Thauvin <nanardon@mandriva.org> 4.4.8-3mdv2008.0
+ Revision: 41414
- kill coloring patch, buggy, and not so usefull
- patch116: fix rpm -V output (#31287)

* Sun Jun 10 2007 Olivier Thauvin <nanardon@mandriva.org> 4.4.8-2mdv2008.0
+ Revision: 37847
- patch115: avoid breakage of conectiva --without bm feature
- remove patch 110, add patch114: do no longer use rpmrc, using only macros instead, so requiring latest rpm-mandriva-setup to have /etc/rpm/platform
- fix perl module release
- patch to backport _docdir_fmt macro
- 4.4.8
  o rediff patch 72, 87, 49, 62, 17, 56, 64
  o kill patch (merge or fix upstream, woot):
    57, 80, 90, 93, 193, 95, 96, 97, 99, 103, 104, 105, 109, 110, 111,
    112, 114, 115, 101, 102, 107
  o kill patch 69, hard to maintain, will be merge upstream
  o Patch109: workaround specfile parsing check,
    http://rpm5.org/cvs/tktview?tn=6
  o Patch110: still read rpmrc (this should die one day)
  o Patch111: trim twice / in buildroot, making unpackaged files check failing
  o Patch112: avoid a very issue regarding Fopen()

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - use %%{ix86} & %%{sunsparc} macros for x86 & sparc
    - use %%{sunsparc} macro to ensure sparcv9 gets included too

  + Pixel <pixel@mandriva.com>
    - make it explicit that older perl-URPM are not compatible with 4.4.8
    - add patches 112 113 114 115 from both rpm 4.4.9 and hg.rpm.org
    - cleanup provides-obsoleted.patch, moving other fixes into rebuilddb-with-root.patch
    - more complete fix-segfault-on-header-without-RPMTAG_NAME patch (from upstream)
    - don't segfault on header without RPMTAG_NAME
    - add requires pkgconfig in rpm-build (#30632)
      (it is needed for performing automatic computation of pkgconfig files
      dependencies, see /usr/lib/rpm/mandriva/pkgconfigdeps.sh)
    - add patch (ensure-uninst-callback-is-called-for-empty-packages)
      to allow urpmi to display "remove package foo" when removing an empty package

* Wed Apr 25 2007 Adam Williamson <awilliamson@mandriva.org> 4.4.6-22mdv2008.0
+ Revision: 18290
- rebuild against new beecrypt


* Wed Feb 14 2007 Pixel <pixel@mandriva.com> 4.4.6-21mdv2007.1
+ Revision: 120751
- fix parsing ")" (for if statements in spec files for example)
- rpm handles nicely failing %%pre, but it doesn't handle the rest
- patch to use dgettext instead of gettext to allow progs like urpmi to use
  their own textdomain and still have rpm translations
- fix checking available free space when "non-superuser free space" is 0

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - requires newer rpm-mandriva-setup for rtld(GNU_HASH) notes

* Fri Jan 12 2007 Pixel <pixel@mandriva.com> 4.4.6-19mdv2007.1
+ Revision: 108072
- P98: security fix for CVE-2006-5466
-mv8 which is deprecated and no longer valid (Per Oyvind, #26501)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - provides with unexpanded macros aren't that nice

* Mon Jan 08 2007 Pixel <pixel@mandriva.com> 4.4.6-18mdv2007.1
+ Revision: 105990
- fix bug 27987 where sslexplorer rpm has "Source RPM: (none)" and so rpm
  thought it is a src.rpm. the fix is only done for old v3 rpms
- "rpm -i --root" as user can't work, don't silently ignore the failing chroot()
- fix --root rpm option failing for non-root users (Christiaan Welvaart)
- really commit the patch
- fix segfault on weird buggy rpm header
- fix query format xml on rpm header with tag 265 which has no name (#27108)

* Fri Dec 08 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.4.6-12mdv2007.1
+ Revision: 93842
- generate PIC code for static objects that can be built into a DSO
- remove (obsolete) arch-dependent flags
- don't build statically linked executables
- Fix zlib tree to parallel build, propagate optflags to there too.
- Introduce new ppc32 arch, fix ppc64 bi-arch builds, fix ppc builds on newer CPUs.
- fix build on ppc64

  + Pixel <pixel@mandriva.com>
    - fix segfault on some old format rpms (#27263)

* Thu Nov 30 2006 Pixel <pixel@mandriva.com> 4.4.6-11mdv2007.1
+ Revision: 88894
- rebuild for python  2.5
- add patches fixing #26545:
  o don't leave behind /usr/X11R6/lib/X11/app-defaults;456ac510 on error
  o fix segfault
- ignore getcwd failing (db_abshome will not be set,
  it may affect db/log/log_archive.c, but that should be ok) (#20897)
- fix "rpm -bs t.spec" returning buggy error message
  "t.spec: No such file or directory" when rpm-build is not installed
- fix free on invalid pointer after displaying "Unable to open temp file" (#27260)
- have a nice error message when chroot fails
  (instead of the dreaded: "enterChroot: Assertion `xx == 0' failed.")

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - Extend #27260 fix to its root cause as there are other instances of a
      similar bug in other sources (yet, unexposed/reported).

* Fri Sep 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.6-10mdv2007.0
+ Revision: 61429
- Bump release number
- Improve previous patch: make it conditional on the environment variable RPM_IGNORE_SCRIPTLETS_FAILURE
- Allow preinstall scriptlets to fail and not interrupting the installation.
  This is a workaround for bug 25598.

* Sat Aug 19 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-9mdv2007.0
+ Revision: 56766
- bump release
- revert to my own chroot patch, thee second one is broken

* Sun Aug 13 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-8mdv2007.0
+ Revision: 55706
- bump release
- buildrequires lua-devel
- import mailscanner
- update patch with C. Welvaart fixes

  + Rafael Garcia-Suarez <rgarciasuarez@mandriva.com>
    - Fix typos

* Sat Jul 29 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-7mdv2007.0
+ Revision: 42481
- bump release
- add upstream patch97: fix dbenv
- patch96: fix #23774

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-6mdv2007.0
+ Revision: 42186
- fix rpmv3 patch: rpm version in the lead in 3 for both rpm 3 and 4
- fix #23075: patch 95, use tee -a

* Wed Jul 26 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-5mdv2007.0
+ Revision: 42052
- patch93: support rpm v3
- bump release
- ensure leaveChroot can't be run by another function which is not the the caller of enterChroot
- remove changelog from spec
- add patch 93 (disable by default, need tests) to fix issue in rpmdb when mixing 'rpm --root' and 'chroot rpm'
- update macros in the spec
- provide some /etc/rpm files
- -3mdv release
- fix patch in patch
- better rpmdb.h c++ fix
- Patch90: fix unchecked end of line in macro expand
- patch 89: make rpmdb.h compliant
- file in /etc are %%config
- patch 88: readd SOURCEPACKAGE tag to source rpm
- make no_dirname_dep patch configurable with a macro
- bunzip patch, merge rpm 4.4.6
- initial import of rpm
- initial import of rpm

  + Rafael Garcia-Suarez <rgarciasuarez@mandriva.com>
    - 4.4.6-4mdk
    - Patch by Pixel to use --wildcards when using tar to list all specfiles in a tar
      ball (this fixes rpm -t).
    - Add patch 91: avoids taking into account duplicates in file list
      when checking for unpackaged files

* Wed Jul 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.6-4mdv2007.0
- Fix rpm -ta (Pixel)

* Thu Jun 22 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-3mdv2007.0
- patchs:
  - fix rpmdb.h c++ compilation (C. Welvaart)
  - fix unchecked end of string in macro expand (O. Thauvin)
  - fix check unpackaged files script (R. Garcia-Suarez)
- update macros provide by the spec used for bootstraping
- set some /etc/rpm/macros.* as config(noreplace)

* Mon Jun 12 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-2mdv2007.0
- Patch88: readd SOURCEPACKAGE tag into src.rpm

* Fri May 26 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-1mdv2007.0
- 4.4.6
- rediff patches
- add patch to disable dirnames dependencies for now

* Tue Mar 21 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.5-2mdk
- Require latest rpm-mandriva-setup

* Tue Mar 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.5-1mdk
- 4.4.5
- Remove patches 41 and 87, merged upstream
- Rediff patches 69 and 78
- Make rpm-build require libtool-base instead of libtool (bug #21162)
- Turn the triggerun in post scriptlet

* Tue Mar 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.4-4mdk
- Patch 87

* Tue Feb 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.4-3mdk
- Move popt(3) man page into libpopt-devel (bug 18161)
- Add coreutils in prerequisites (bug 19144)
- Fix dangling symlink (bug 6788)

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.4-2mdk
- Patch 86: don't cache Depends DB (Olivier Thauvin)
- Bump requires on rpm-mandriva-setup

* Thu Jan 05 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.4-1mdk
- New version 4.4.4
- Rediff patches 31, 49, 62, 69, 71, 78, 82, 84
- Remove patch 66 (fixed upstream)
- Remove patch 74 (no longer necessary, no legacy prereqs anymore)
- Remove patch 76 (should be unnecessary now that RH bug 151255 is fixed)
- Remove patch 79 (applied upstream)
- Remove patch 81 (does nothing)
- New subpackage perl-RPM, and patch 85 to install it in vendor dir
- Use static libneon, libsqlite3 and libopenssl
- Update condition for triggerun
- Add conditional BuildRequires on nptl-devel
- Disable popt tests
- Remove selinux
- Requires recent rpm-mandriva-setup for _rpmlock_path macro

* Sun Nov 13 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.2-6mdk
- rebuild for openssl (ask by Oden)

* Sun Oct 23 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.2-5mdk
- Fix #19392

* Fri Sep 16 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.4.2-4mdk
- buildrequires: rpm-mandriva-setup-build
- fix simple coloring patch, aka merge it correctly
- re-add the no-doc-conflicts patch for colored packages

* Tue Aug 30 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.2-3mdk
- patch 80: fix #17774
- patch 81, 82: should fix ordering issue
- BuildRequires: bzip2-devel (thanks Christian)

* Sat Aug 20 2005 Frederic Lepied <flepied@mandriva.com> 4.4.2-2mdk
- 79: fix deadlock from RedHat bug #146549.

* Fri Jul 22 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.2-1mdk
- 4.4.2
- remove patch:
    52: merged upstream
    67: fixed upstream
    73: merged upstream
    78: merged upstream
    79: merged upstream
    32, 33, 36: no more need hack
- rename rpm-python to python-rpm    
- use fnctl when not using futex
- use nptl only on few arches (ppc* x86_64 pentium3,4/Athlon)

* Thu Jun 23 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-10mdk
- add requires to rpm-build after the rpm-mandriva-setup split

* Tue Jun 21 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-9mdk
- Enable NPTL and co
- rework patch77: allow %%_srcdefattr as macro for src.rpm
- Patch78: reread few macro between build
- Patch79: fix rpm --eval '%%' overflow

* Fri Jun 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.1-8mdk
- Move dependencies on unzip, make and elfutils from rpm to rpm-build

* Sun Jun 05 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-7mdk
- patch77: allow to set root/root as owner of files in src.rpm
- rebuild with neon 0.24 as it moved in main instead 0.25

* Thu Jun 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.1-6mdk
- Patch 76 : allow to rebuild db with --root option

* Wed May 18 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-5mdk
- update french translation
- disable NPTL system + --with to enable it
- --w/o pyhton switch
- remove db_private patch as it breaks concurrent access

* Mon May 16 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-4mdk
- really apply patch (I sucks)
- some cleaning

* Mon May 16 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-3mdk
- Patch71: Ordering transaction on erasure
- Patch72: rpm -[Ui] check files conflicts
- Patch73,74: Fedora patch, fixing bug

* Fri May 13 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-2mdk
- patch70: allow rpm -bb --short-circuit
- conflicts man-pages-pl < 0.4-9mdk
- move spec mode for emacs into rpm-mandriva-setup
- buildrequires
- remove locales files from libpopt

* Wed May 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.1-1mdk
- Adapt part of the coloring patch (patch 62)
- Fix a few French translations (patch 69)
- Require libneon 0.25

* Mon May 09 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-0.7mdk
- BuildRequires readline-devel (P.O. Karlsen)
- --disable-{posixmutexes,pthreadsmutexes} on sparc (P.O. Karlsen)
- patch68: being able to read old rpms
- update source url
- fix file list for ppc (C. Welvaart)

* Fri May 06 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-0.6mdk
- use system sqlite
- force -fPIC on amd64 (for popt)
- perform test for popt
- patch67 fix build with gcc4

* Wed May 04 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-0.5mdk
- workaround make -j

* Wed May 04 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-0.4mdk
- 4.4.1
- remove biarch, use mklibname (see 4.2.3-10mdk)
- do no longer patch the config, use /usr/lib/rpm/VENDOR/rpmrc instead
- require rpm-mandriva-setup
- remove many obsoletes patch
- do not longer provide update-alternative
- more defined macros in the spec, less hardcode patch

* Tue May 03 2005 Pixel <pixel@mandriva.com> 4.2.3-11mdk
- emacs spec mode:
  - use rpm-find-spec-version-with-shell by default, and enhance it
  - handle release built using mkrel macro (in rpm-increase-release-tag)

* Thu Apr 28 2005 Olivier Thauvin <nanardon@mandriva.org> 4.2.3-10mdk
- split libs into separated package to make rpm update easier for URPM

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-9mdk
- bump multiarch-utils requires
- ignore conflicts in gnome-doc html files, install the latest files

* Wed Mar 09 2005 Frederic Lepied <flepied@mandrakesoft.com> 4.2.3-8mdk
- fix tr call in mono patch (bug #14449)
- fix bzip2 call (bug #7663)
- encode ru man pages in KOI8-R (bug #10219 and #12613)

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-8mdk
- hack to always install the latest arch-independent gtk-doc html
  files and man pages, aka. don't conflict on biarch platforms

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-7mdk
- popt is now a biarch package

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-6mdk
- requires multiarch-utils >= 1.0.7-1mdk
- RPM_INSTALL_LANG support is obsolete for MDK >= 10.2 (rafael)

* Tue Feb 08 2005 Frederic Lepied <flepied@mandrakesoft.com> 4.2.3-5mdk
- added mkrel macro (Buchan)
- changed group System/X11 from System/XFree86

* Thu Jan 27 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-4mdk
- newer multiarch-utils requires
- generate package script autoreqs only if requested (#13268)
- don't install .delta.rpm directly, use applydeltarpm first (SuSE)

* Mon Jan 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-3mdk
- minor cleanups
- check for files that ought to be marked as %%multiarch

* Thu Jan 20 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-2mdk
- newer multiarch-utils requires
- enable and improve file coloring
  * use file colors even if still using the external dependencies generator
  * assign a color to *.so symlinks to mix -devel packages
  * assign a color to *.a archives to mix -{static,}-devel packages

* Fri Jan 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-1mdk
- multiarch-utils autoreq
- allow build of 32-bit RPMs on x86-64
- ppc64 fixes
- update from 4.2-branch
  * auto-relocation fixes on ia64
  * change default behavior to resolve file conflicts as LIFO
  * generate debuginfo for setuid binaries

* Fri Jan 07 2005 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-19mdk
- compile --with-glob to avoid a problem with the internal glob code.

* Thu Jan 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 4.2.2-18mdk
- Add patch 60 (Guillaume Rousse): make find-requires ignore dependencies on
  linux-incompatible perl modules. (bug #12695)

* Mon Dec 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 4.2.2-17mdk
- Add patch 59, necessary for the smart package manager (new function
  rpmSingleHeaderFromFD() in the python bindings)

* Sat Dec 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-16mdk
- rebuild for python 2.4

* Fri Aug 06 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-15mdk
- use system zlib

* Thu Jul 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-14mdk
- fix mono patch (bug #7201)

* Wed Jul 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-13mdk
- use mono-find-requires and mono-find-provides if present (Götz Waschk) (bug #7201)

* Wed Jul 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-12mdk
- use a correct implementation of cpuid (Gwenole)
- return None instead of [] in rpm-python (Paul Nasrat)
- add /var/spool/repackage (bug #9874)
- handle /usr/lib/gcc/ directories for devel() deps too (Gwenole)

* Thu May 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.2-10mdk
- switch back to x86_64 packages on 64-bit extended platforms

* Fri May 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.2-9mdk
- fix /usr/lib/rpmpopt symlink
- use -mtune=pentiumpro on any MDK >= 10.0

* Fri Apr 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 4.2.2-8mdk
- When unlocking the RPMLOCK file, don't forget to close(2) it too.

